phosh-mobile-settings (0.56.0) experimental; urgency=medium

  [ Martin ]
  * Update Slovenian translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Antonio Marin ]
  * Update Romanian translation

  [ Guido Günther ]
  * build: Use libadwaita 1.9. We want to use AdwSidebar
  * panel-switcher: Use AdwSidebar.
    This will allow us to use sections.
    This is inspired by AdwViewSwitcherSidebar which we can't use directly
    as it doesn't allow us to get the page.
  * window: Use a separate section for the conf tweaks
  * window: Use adaptive shortcuts dialog
  * window: Init auto variable.
    It's too easy to break on refactors otherwise
  * window: Activate search via CTRL-F
  * panel-switcher: Use page mode when narrow.
    Makes the UI easier to understand.
  * panel-switcher: Select proper item by index.
    When search wants to activate the topmost item we need to look
    up the new selected item in the filtered list.
  * panel-switcher: Add empty state.
    Show a status page when no results are found
    Helps: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/work_items/120
  * panel-switcher: Drop unused current_panelname
  * panel-switcher: Don't activate disabled panels.
    Otherwise users could bring up disabled panels by passing
    them on the command line.
  * plugin-panel: Base on MsPanel.
    All panels must use `MsPanel` as base class
    Fixes: 3c31bddc ("ms-panel: Create base class for standard panels")
  * librem5-panel: Add keyword.
    This allows it to be found in search
  * updates-panel: Simplify uninhibit
  * updates-panel: Uninhibit on dispose.
    This makes sure the inhibitor is dropped when the app is closed
    by other means (and we cancel the OS update in that case as well).
  * updates-panel: Uninhibit when we fail to cancel the update.
    There's no point in keeping the inhibitor
  * sysupdate: Don't return error when we cancelling an absent job.
    If we can't find the job it's already gone, so there's nothing to
    cancel.
  * window: Add a list model with enabled pages.
    This allows other parts to use that instead of checking for enabled
    in multiple places.
  * application: Only list enabled panels
  * window: Notify about `enabled` changes
    although not relevant for listing panels atm we need to inform the
    enabled_panel list model about panel state changes too.
  * systemd-sysupdate: Warn when using session bus
  * updates-panel: Don't disable by default
  * updates-panel: Sync `enabled` initially
  * systemd-sysupdate: Don't warn when getting target proxy got cancelled.
    Otherwise we might see errors on `--list`.
  * systemd-sysupdate: Perform initial target check sync.
  * systemd-sysupdate: Track jobs that finish early.
  * panel-switcher: Make sure we show the content view.

  [ Yuri Chornoivan ]
  * Fix minor typo
  * Update Ukrainian translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ burns ]
  * Update Brazilian Portuguese translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Ryo Nakano ]
  * Update Japanese translation

  [ Hugo Carvalho ]
  * Update Portuguese translation

  [ Марко Костић ]
  * Update Serbian translation

  [ Victoria Niedzielska ]
  * Update Polish translation

  [ Daniel Rusek ]
  * Update Czech translation

 -- Guido Günther <agx@sigxcpu.org>  Sun, 05 Jul 2026 09:10:33 +0200

phosh-mobile-settings (0.56~rc2) experimental; urgency=medium

  [ Martin ]
  * Update Slovenian translation.
    Co-authored-by: Martin <miles@filmsi.net>

  [ Antonio Marin ]
  * Update Romanian translation.
    Co-authored-by: Antonio Marin <gnmer.6qxyg@slmail.me>

  [ Yaron Shahrabani ]
  * Update Hebrew translation.
    Co-authored-by: Yaron Shahrabani <sh.yaron@gmail.com>

  [ Yuri Chornoivan ]
  * Update Ukrainian translation.
    Co-authored-by: Yuri Chornoivan <yurchor@ukr.net>

  [ Ekaterine Papava ]
  * Update Georgian translation.
    Co-authored-by: Ekaterine Papava <papava.e@gtu.ge>

  [ Rafael Fontenelle ]
  * Update Brazilian Portuguese translation.
    Co-authored-by: Rafael Fontenelle <rafaelff@gnome.org>

  [ Guido Günther ]
  * update-panel: Take inhibitor during OS updates.
    We don't want the system to suspend or the user to log out
    until done.
  * osk-layout-prefs: Push context after attaching it to the main loop.
    Otherwise we might end up with e.g. DBus calls seemingly not finishing. In our
    case this manifested as `ListActivatableNames` never reaching it's ready
    handler.
    Fixes: fb189ede ("osk-layout-prefs: Provide proper async variant")

 -- Guido Günther <agx@sigxcpu.org>  Sat, 27 Jun 2026 15:49:05 +0200

phosh-mobile-settings (0.56~rc1) experimental; urgency=medium

  [ nicole mikołajczyk ]
  * po: Update POTFILES.in
  * settings-window: Add a comment for the search placeholder string

  [ Daniel Rusek ]
  * Update Czech translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Antonio Marin ]
  * Update Romanian translation

  [ Martin ]
  * Update Slovenian translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Hugo Carvalho ]
  * Update Portuguese translation

  [ Tomi Lähteenmäki ]
  * polkit: Allow to specify group.
    Don't install the rules file if the group is empty.

  [ Guido Günther ]
  * packaging: Drop polkit rule.
    Not installed by default
  * lang-panel: Don't access lang panel early.
    It might already be gone if the call got canceled.
  * ci: Update image
  * window: Use lowercase name for language panel.
    All others are lowercase too
  * util: Ignore pixbuf related warning.
    It's the current loader and we can always open code
    it later on.
  * leak-suppress: Ignore leak in GtkSvg fixed upstream already
  * build: Bump GTK dependency.
    Needed for GtkSvg
  * build: Split private sources
  * about: Add image version row
  * about: Add donate button
  * about: Add a bit of top margin
  * css: Add style file
  * panel: Add enabled property.
    Indicates whether the panel should be enabled
  * panel-switcher: Ignore disabled panels.
    This allows to disable panels easily
  * window: Refilter when a panel state changes
  * ms-util: Move end session helper here.
    Allows it to be reused
  * tree: Use GM_STR_IS_NULL_OR_EMPTY.
    We have that in gmobile since ages
  * libpms: Add os-updater class.
    This will allow to implement different update methods
  * libpms: Implement os updates via org.freedesktop.sysupdate1.
    This adds an interface that allows to inspect and install host updates
    via systemd-sysupdated's DBus interface. This will be replaced by
    varlink in systemd later:
    https://salsa.debian.org/systemd-team/systemd/-/merge_requests/317
    We hence only add a minimal interface.
    The proviced mock can be used via
    ```sh
    python3 -m dbusmock --template tests/mock/sysupdate.py
    ```
  * libpms: Add os updater getter.
    We don't want to hardcode an updater so add a method
    that allows to get the default one.
  * window: Add updates panel.
    Enabled based on whether sysupdates are available
  * updates-panel: Drop translations from icon names.
    Thanks to Anders Jonsson for pointing this out.
  * updates-panel: Drop superfluous icon.
    We have a paintable there too.
  * libpms: Don't make layout-dialog public.
    THe prefs widget is all that needs to be exported
  * libpms: Install enum headers.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/work_items/123
  * libpms: Don't export osk-layout
  * osk-layout: Add language and flavor.
    This makes matching on locale possible
  * osk-layout-prefs: Set visible by default.
    It's the default in GTK4
  * osk-layout-prefs: Construct fewer layouts.
    Reuse the ones from the avaible layouts rather than creating
    new ones. This makes sure all data is in sync with what we
    loaded from JSON.
  * packaging: Bump stevia dependency.
    Needed for layout information
  * osk-layout-prefs: Allow to add layouts by locale.
    This allows us to prefill the widget / configure default
    input sources.
  * osk-layout-prefs: Provide proper async variant.
    The current code just triggered load and hoped for the best.
    Convert that to a proper sync version and add an async version
    as well.
  * example: Use `-` as word separator.
    It's what we do elsewhere
  * example: Make it more useful.
    Show the widget instead of only constructing it
  * example: Demo adding layout by locale
  * packaging: Add xmllint.
    Needed for UI file validation
  * overview-panel: Add dialog to reenable hidden apps.
    This allows to make apps visible again that were hidden from Phosh's overview.
    The Shell's UI can open the dialog directly via:
    ```sh
    gdbus call --session --dest mobi.phosh.MobileSettings --object-path /mobi/phosh/MobileSettings --method org.gtk.Actions.Activate "set-panel" "[<('overview',[<'hidden-apps'>])>]" "{}"
    ```
    Helps: https://gitlab.gnome.org/World/Phosh/phosh/-/work_items/1318

  [ Brian Hom ]
  * convergence-panel: Use the head's serial if dock entry has no serial.
    If a dock entry does not define a serial number because it may vary in
    the EDID data, we use the head's serial number instead.
    Co-authored-by: Jonathon Hall <jonathon.hall@puri.sm>
  * convergence-panel: Add NexDock 2025 dock.
    The NexDock 2025 seems to use the date of manufacture as the serial
    number in hexadecimal format such as the string "0x20250607". Since this
    value may not be consistent between different NexDock 2025 devices, the
    serial number is set to NULL to generically match the device.
    Co-authored-by: Jonathon Hall <jonathon.hall@puri.sm>

  [ Sabri Ünal ]
  * Update Turkish translation

  [ Asier Saratsua Garmendia ]
  * Update Basque translation

  [ Марко Костић ]
  * Update Serbian translation

  [ Luiggi R. Cardoso ]
  * Update Brazilian Portuguese translation

  [ Victoria Niedzielska ]
  * Update Polish translation.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 24 Jun 2026 16:59:20 +0200

phosh-mobile-settings (0.55.0) experimental; urgency=medium

  [ nicole mikołajczyk ]
  * l10n: Add missing string as translatable
  * Add Polish translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Antonio Marin ]
  * Update Romanian translation

  [ Martin ]
  * Update Slovenian translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Ryo Nakano ]
  * Update Japanese translation

  [ Hugo Carvalho ]
  * Update Portuguese translation

  [ Daniel Rusek ]
  * Update Czech translation

  [ Arun Mani J ]
  * feedback-panel: Clarify what presence change means

  [ Марко Костић ]
  * Update Serbian translation

  [ Pierre Michel Augustin ]
  * Update Haitian Creole translation

  [ Guido Günther ]
  * osk: Drop schema check.
    We can assume recent enough stevia nowadays
  * osk-panel: Allow to configure automatic space handling.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/work_items/117

 -- Guido Günther <agx@sigxcpu.org>  Sun, 17 May 2026 08:59:14 +0200

phosh-mobile-settings (0.55~rc1) experimental; urgency=medium

  [ Stefan Hansson ]
  * editorconfig: Add YAML style
    conf-tweaks uses YAML files, so let's add that here.
  * test-tweaks-mappings: Add tests for stringify_gvalue()
  * data: Also install nobuiltins desktop file.
    Fixes 04bebde2c60cff079aa7e7b3f61f457ec273650c
    Closes https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/116
  * run: Don't pass --gdb to gdb.
    Otherwise gdb ends up being passed "--gdb" as an argument and interprets
    it as if this is the file we want to run, effectively breaking this
    option. Fix this by reintroducing the shift.
    Fixes 49ce918fde1f4e2cc92c3f69227b757d6e6e3e8c
  * data: Remove DBusActivatable from nobuiltins desktop file.
    As there is no matching nobuiltins service file this does not work.
    Fixes 04bebde2c60cff079aa7e7b3f61f457ec273650c
    Closes https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/119
  * tests/data/widget-types.yml: Add boolean widget
  * ms-tweaks-backend-xresources: Only allocate value early with default.
    Otherwise we end up returning GValues containing NULL, which we don't
    want.
  * ms-tweaks-backend-gtk3settings: Only allocate value early with default.
    Otherwise we end up returning GValues containing NULL, which we don't
    want.
  * ms-tweaks-backend-interface: Clarify return value if no value exists
  * ms-tweaks-mappings: Raise critrical on unsupported GType.
    This is a programming error, so it should not just be a warning.
  * ms-tweaks-mappings: Assert on NULL normalised value.
    This should never happen unless a backend is broken.
  * ms-tweaks-backend-gtk3settings: Minor formatting fixes
  * test-tweaks-backend-xresources: Minor formatting fix
  * conf-tweaks: Refactor default string value creation.
    Reduces repetition and helps readability.
  * data: Add "Tweaks" keyword to desktop files.
    Makes it easier for users looking for a "tweaks application" to find
    p-m-s.

  [ Guido Günther ]
  * shortcut-dialog: Use new schema location.
    Reported-by: Val Packett
  * panels/overview: Drop unused variable
  * main: Sort types alphabetically
  * pms: Add language chooser from Settings.
    This is from gnome-control-center 48.6 as this is the last
    version with ui files instead of blueprint.
  * pms/lang: Make it build.
    Minimal set of changes to make things compile
  * pms/lang: Move to ms namespace.
    Otherwise introspection will be troublesome
  * libpms/lang: Use our namespace
  * libpms/lang: Silence deprecations
  * libpms/lang: Set i18n domain
  * panels: Add language panel.
    We need a demo for the language selection so let's add a panel.
    This is heavily inspired about what Settings does and ensures
    the language selector is working.
    Note that this currently won't work on Debian due to
    /usr/share/dbus-1/system.d/org.freedesktop.locale1.read-only.conf
    See https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=1133781
  * build: Preserver header file path.
    Otherwise building against the installed headers fails
  * libpms: Add functions to lookup language from locale.
    We simply wrap existing functions so we don't need to create rust
    bindings for a whole library.

  [ Jiri Grönroos ]
  * Update Finnish translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Martin ]
  * Update Slovenian translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Antonio Marin ]
  * Update Romanian translation

  [ Daniel Rusek ]
  * Update Czech translation

  [ Christian Kirbach ]
  * Update German translation

  [ Pierre Michel Augustin ]
  * Update Haitian Creole translation

  [ Sabri Ünal ]
  * Update Turkish translation

 -- Guido Günther <agx@sigxcpu.org>  Fri, 08 May 2026 18:18:36 +0200

phosh-mobile-settings (0.54.0) experimental; urgency=medium

  [ Guido Günther ]
  * tweaks-preferences-page: Don't set NULL subtitle.
    Newer libadwaita 1.9~beta throws a critical in that case
  * leak-suppress: Silence GTK leak.
    Silence the leak until our fix made it into a release.
    See https://gitlab.gnome.org/GNOME/gtk/-/merge_requests/9724
  * packaging: Wrap-and-sort
  * ci: Update CI image
  * ci: Drop superfluous step
    `before` already does this
  * build: Set tweaks directory to empty.
    The tests set them to test data when needed and users of the
    conf tweaks set it to a matching path.
    This avoids a warning during the tests when no tweaks are present
    an the binary is built with the default options.
  * ci: Check dist tarball builds.
    Avoids surprises when releasing
  * debug-info: Fix license.
    The code base is GPL3.
  * news: Add missing bug number
  * build: Drop version check.
    We require meson 1.7 anyway
  * build: Add option summary.
    Makes the current build config simpler to spot
  * osk-add-layout: Guard against NULL button

  [ Bruce Cowan ]
  * Update British English translation

  [ Baurzhan Muftakhidinov ]
  * Add Kazakh translation

  [ Rudra Pratap Singh ]
  * libpms: Add example in Python.
    Utilizing the bindings generated via
    GObject Introspection. Also set the appropriate
    flags in run.in to allow running the example,
    via _build/run examples/pms-prefs-example.py.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/107

  [ Ryo Nakano ]
  * Add Japanese translation

  [ Stefan Hansson ]
  * ms-application: Allow hiding built-in panels.
    With the conf-tweaks support integrated, Phosh Mobile Settings is useful
    in other desktop environments too. But in these the Phosh-specific
    settings aren't particularly useful. So, allow hiding them for such
    use-cases.
  * ms-panel-switcher: Update filtering when only_tweaks is set

 -- Guido Günther <agx@sigxcpu.org>  Sun, 05 Apr 2026 08:47:20 +0200

phosh-mobile-settings (0.54~rc1) experimental; urgency=medium

  [ Guido Günther ]
  * news: Fix wording.
    Metainfo has it correct
  * osk: Move OSK handling to shared library.
    Helps: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/107
  * osk-layout: Make private.
    Not needed in the public API
  * pms: Add single file header.
    That way we can restructure headers without breaking API
  * libpms: Relicense library bits under LGPL.
    Seems I'm the only author of that code. Let's also move copyright
    to Phosh.mobi e.V. while at that.
  * packaging: Set tweaks data dir to empty.
    Avoids a warning during the build
  * libpms: Export single include header.
    Fixes: 5f7f095 ("pms: Add single file header")
  * libpms: Enable introspection.
    This will allow us to add language bindings
    Helps: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/107
  * osk-panel: Move settings mobi.phosh.osk.
    See https://gitlab.gnome.org/World/Phosh/stevia/-/merge_requests/276
  * packaging: Bump dependency.
    This ensures we have recent schema
  * gvc: Switch back to blessed repo.
    It has all our patches
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/113

  [ Álvaro Burns ]
  * Update Brazilian Portuguese translation

  [ Davide Ferracin ]
  * Add Italian translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Rudra Pratap Singh ]
  * audio-device-row: Make ADJUSTMENT_MAX_NORMAL a public constant.
    And rename it to AUDIO_DEVICE_ROW_MAX_NORMAL.
  * feedback-panel: Add helper function to display a toast
  * audio-device-row: Introduce volume property in place of signal.
    Instead of emitting the `volume-changed` signal,
    we add a `volume` property that users can listen
    for changes and query value of accordingly.
  * feedback-panel: Play sound for Voice Call volume slider.
    We bundle a custom sound file for the 'phone'
    media role and play it via GtkMediaStream API,
    for which we depend on gstreamer1.0-plugins-good.
    As we don't invoke gsound for it, we query
    the volume of that stream manually when playing.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/106
  * libpms: Add pkgconfig file.
    We also require 'libadwaita-1' package as without
    it programs that link to libpms will fail to
    compile (as libpms depends on it).
  * libpms: Add a simple C example app utilizing libpms
  * ci: Add CI job to test .pc file.
    Reusing the C example we can check if the
    pkgconfig file was generated correctly.

  [ Hugo Carvalho ]
  * Add Portuguese translation

  [ Daniel Rusek ]
  * Update Czech translation

  [ Stefan Hansson ]
  * tests: Add basic conf-tweaks testdata and use it
  * ms-tweaks-preferences-page: Don't leak widget_value
  * ms-tweaks-parser: Improve handling of nonexistent conf-tweaks dirs.
    Allow people building p-m-s to set the tweaks-data-dir build option to
    an empty string as a means of disabling conf-tweaks entirely. For other
    situations, print a warning if no valid files are found or if the
    directory doesn't exist at all.
    Also, update the CI scripts to use this to avoid failures.
  * ms-tweaks-backend-xresources: Debug print on missing ~/.Xresources.
    We need to be able to start up without any warnings in the tests, so use
    a debug print here. This does have the unfortunate side-effect of that
    it no longer just prints once, but maybe it's fine since it's now only
    printed with more verbose logging options.

  [ Emin Tufan Çetin ]
  * Update Turkish translation

  [ Yaron Shahrabani ]
  * Update Hebrew translation

  [ Jordi Mas ]
  * Update Catalan translation

  [ Balázs Úr ]
  * Update Hungarian translation

  [ Марко Костић ]
  * Add Serbian translation

  [ Gotam Gorabh ]
  * ms-plugin: Rename 'MOBILE_SETTINGS_ASSUME_DEVICE' env var.
    Rename to 'MS_FORCE_DEVICE' for consistencies.
  * tree: Add man page.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/77
  * ci: Update shared scripts to 4a59c2b
  * ci: Use common g-style check.
    Drop the local `g-style` script and use the shared CI check
    from meta-phosh instead. This check is configured to detect
    gchar, gdouble, gfloat, and gint usages.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 25 Mar 2026 09:14:11 +0100

phosh-mobile-settings (0.53.0) experimental; urgency=medium

  [ Antonio Marin ]
  * Update Romanian translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Martin ]
  * Update Slovenian translation

  [ Artur S0 ]
  * Update Russian translation

  [ twlvnn kraftwerk ]
  * Update Bulgarian translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Rudra Pratap Singh ]
  * feedback-panel: Clear toast object on dismissal
  * feedback-panel: Reindent UI file.
    No functional change.
  * audio-device: Add 'role' property.
    The 'media-role' associated with this device.
    For now, these roles are the same as given in the
    feedbackd repository:
    https://gitlab.freedesktop.org/agx/feedbackd/-/blob/main/data/media-role-nodes.conf
  * audio-device-row: Add 'volume-changed' signal.
    Emitted whenever volume slider gets adjusted.
    Useful for e.g., playing a feedback sound upon
    any adjustment.
  * feedback-panel: Play sound on adjusting sliders

  [ Tomi Lähteenmäki ]
  * tests: Fix crash in setting_data_to_boolean_widget()
    The "name_i18n" needs to be non-null or assert in
    adw_preferences_row_set_title() fails and "help_i18n" needs to be
    non-null or assert in adw_action_row_set_subtitle() fails.

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Gotam Gorabh ]
  * ms-osk-add-shortcut-dialog: Keep preview always visible.
    Move the shortcut preview section from the scrollable content area to
    the bottom toolbar area so it remains visible
    at all times, even when scrolling through modifier and key selection
    options.
  * ms-osk-add-shortcut-dialog: Preserve key and sync modifiers.
    Ensure the selected key is not dropped when changing or toggling
    modifiers. Also synchronize the “Choose Shortcut Modifier” checkboxes
    with the currently previewed shortcut during validation.
    closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/80
  * tests: Add test for MsOskAddShortcutDialog's functions

  [ Quentin PAGÈS ]
  * Add Occitan translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Guido Günther ]
  * feedback-panel: Filter out system services.
    We only want to filter in applications. Services that
    should be listed would get `X-Phosh-UsesFeedback`
    added.
    app_is_system_service() is a copy from g-c-c.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 15 Feb 2026 09:14:31 +0100

phosh-mobile-settings (0.53~rc1) experimental; urgency=medium

  [ Juliano de Souza Camargo ]
  * Update Brazilian Portuguese translation

  [ Efstathios Iosifidis ]
  * Update Greek translation

  [ Guido Günther ]
  * about: Panel with device information.
    It seems people want to show their Phosh, distro and device
    information. Make that possible without resorting to the terminal.
  * debug-info: Add more env vars.
    There are more debug related vars in GTK and we also want to know about
    the XDG_* ones.
  * gvc: Update subproject.
    While the crash fixes are merged upstream the leak fix is still not
    so use our own branch.
  * feedback-panel: Add apps that indicate notification usage too.
    Thought we'd done that ages ago already.
  * feedback-panel: Sort apps.
    With more apps it will otherwise be hard to find a specific one.
    Search can be a follow up.
  * tweaks-backend-xresources: Make sure success is inited.
    Otherwise we might return an unitialized value.
    Spotted-by: gcc
  * osk: Move Squeekboard functions to separate method too.
    Don't clutter init
  * osk-panel: Upscale in landscape too when enabled
  * packaging: Add stevia dependency.
    We want the schema and we install it via meta-phosh anyway
    at the moment.

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Martin ]
  * Update Slovenian translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Artur S0 ]
  * Update Russian translation

  [ Antonio Marin ]
  * Update Romanian translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Sabri Ünal ]
  * Update Turkish translation

  [ twlvnn kraftwerk ]
  * Update Bulgarian translation

  [ Flynn Peck ]
  * Add Cornish translation

  [ Anders Jonsson ]
  * Update Swedish translation

 -- Guido Günther <agx@sigxcpu.org>  Mon, 09 Feb 2026 12:29:58 +0100

phosh-mobile-settings (0.52.0) experimental; urgency=medium

  [ Danial Behzadi ]
  * Update Persian translation

  [ Stefan Hansson ]
  * conf-tweaks: Document why css backend was omitted.
    And also make some minor adjustments to the order of paragraphs.

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Guido Günther ]
  * main: Handle SIGTERM gracefully.
    This allows us to quit with a zero exit status
  * data: Update leak suppresion for new GTK
  * ci: Use updated image.
    We want a phoc that shuts down the client on SIGTERM
  * ci: Run app under ASAN.
    Let's make sure we at least shut down cleanly.

 -- Guido Günther <agx@sigxcpu.org>  Sun, 04 Jan 2026 12:02:27 +0100

phosh-mobile-settings (0.52~rc2) experimental; urgency=medium

  [ Guido Günther ]
  * tweaks-preferences-page: Don't leak keywords
  * panel-switcher: Don't track pages.
    The reference is swallowed by gtk_filter_list_model_new right away
  * panel-switcher: Don't track filter.
    The reference is swallowed by gtk_filter_list_model_new and thus
    we don't need to track a dangling pointer that we could unref
    accidentally.
  * panel-switcher: Avoid cast for filter func.
    Let's just use the correct signature
  * panel-switcher: Ensure model gets cleared on NULL stack
  * application: Don't leak stack.
    This prevented all panels from disposing.
    Fixes: a4cdb97 ("mobile-settings-application: Add 'active-panel' property")
  * audio-devices: Don't leak devices
  * audio-devices: Don't leak description.
    Fixes: 41b2611 ("audio-devices: New class that allows to track loopback devices")
  * audio-device: Don't leak stream
  * gvc: Fix UI device leak.
    See https://gitlab.gnome.org/GNOME/libgnome-volume-control/-/merge_requests/29

  [ Stefan Hansson ]
  * build: Bump libadwaita dependency to 1.7.
    We want to be able to use adw_banner_set_button_style () and it requires
    this version.
  * conf-tweaks: Allow backend to request save as administrator
  * conf-tweaks: Add support for saving settings with escalated privileges
  * conf-tweaks: Remove get_name from backend interface.
    Unused.
  * conf-tweaks: Remove set_source_ext documentation from backend interface.
    This was a relic of some previous code that no longer exists. Remove it.
  * conf-tweaks: Make get_key return a const in backend interface.
    And also adapt implementations.
  * conf-tweaks: Add implementations to backend interface.
    Allows simplifying caller code.
  * conf-tweaks: Add Sysfs backend
  * tests: Add test for Sysfs backend
  * ms-tweaks-backend-gsettings: Don't leak key during construction
  * ms-tweaks-parser: Don't leak YAML filepath
  * ms-tweaks-preferences-page: Don't leak sorted lists
  * ms-window: Don't leak sorted page list
  * tests: Add test for pretty_format_cmd ()
  * ms-tweaks-parser: Also copy i18n-related properties in *_copy.
    Fixes fcb46d7608a8963b2f49097cd1ebd65c5afcc4d5
    Closes https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/95
  * ms-tweaks-parser: Replace gpointer with actual types.
    Makes for easier debugging.
  * ms-tweaks-callback-handlers: Add ctor and dtor for MsTweaksCallbackMeta
  * ms-tweaks-preferences-page: Don't leak callback_meta.
    Also rework how we construct it.
    Related: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/100

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Martin ]
  * Update Slovenian translation

  [ Antonio Marin ]
  * Update Romanian translation

 -- Guido Günther <agx@sigxcpu.org>  Thu, 01 Jan 2026 17:53:38 +0100

phosh-mobile-settings (0.52~rc1) experimental; urgency=medium

  [ Evangelos Ribeiro Tzaras ]
  * feedback-panel: Rephrase silencing calls.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/65
  * alerts-panel: Drop enums in favor of libcellbroadcast types.
    We're using the library since some time now.

  [ Danial Behzadi ]
  * Update Persian translation

  [ Martin ]
  * Update Slovenian translation

  [ Antonio Marin ]
  * Update Romanian translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Rafael Fontenelle ]
  * Update Brazilian Portuguese translation

  [ Artur S0 ]
  * Update Russian translation

  [ Asier Saratsua Garmendia ]
  * Add Basque translation
  * Update Basque translation
  * Update Basque translation

  [ Jürgen Benvenuti ]
  * Update German translation

  [ Guido Günther ]
  * settings-application: Simplify include paths.
    We set proto_inc, so let's use it
  * debug-info: Remove pointless WIN32 compile guards.
    Fixes: 8e9df9d ("Add Troubleshooting Tab")
  * mobile-settings-window: Remove unused includes
  * ms-application: Rename application singleton.
    This was incorrectly named from the beginning
    Fixes: b5788fd ("Initial commit")
  * ms-window: Rename main window.
    This was incorrectly named from the beginning
    Fixes: b5788fd ("Initial commit")
  * ms-settings-debug-info: Use correct namespace.
    Fixes: 8e9df9d ("Add Troubleshooting Tab")
  * treewide: Remove unused enum headers.
    We'll rename the file so lets drop it (as well as other unused
    ones).
  * build: Rename enum header.
    Fixes: b5788fd ("Initial commit")
  * sound-row: Handle NULL filename.
    Otherwise we might pick up a `(null).ogg`.
  * ms-sound-row: Prop can't be construct only.
    That way it never gets filled with a proper effect
    Fixes: 8c47656 ("Allow to configure ring tone and sms sounds")
  * feedback-panel: Show icons for sound file selection rows.
    This makes it easier to spot what they're for.
    The nice icons were taken from org.gnome.design.IconLibrary
  * ci: Update shared scripts to 08786b5
  * tests: Don't set XDG_RUNTIME_DIR.
    Otherwise GTK won't find the Wayland socket
  * ci: Switch to phoc.
    No need for any X11 so we sidestep the ASAN failure.
  * ci: Update shared scripts to 38648e8

  [ Rudra Pratap Singh ]
  * welcome-panel: Make 'Welcome' panel an MsPanel.
    This then makes it easier as we no longer need
    to handle the panel specially.
  * ms-panel: Add public virtual function for handling options.
    With this, panels can handle options passed
    to them via custom logic by overriding
    `handle_options`.
  * panel-switcher: Add API to get stack
  * mobile-settings-application: Add 'active-panel' property.
    This way we can keep track of the currently
    acitve panel in the window.
  * application: Handle options for active panel.
    These options can be sent via e.g., a dbus method
    call and the active panel would handle them
    appropriately.
  * plugin-row: Add API for opening preferences dialog
  * plugin-list-box: Add API to open prefs dialog for a plugin
  * topbar-panel: Override `handle_options` virtual function.
    Currently, topbar panel allows managing the
    quick-settings plugins. For now, we handle opening
    of the prefs dialog box for a given plugin.
  * plugin-list-box: Open one prefs dialog window at a time.
    As otherwise, dialog windows get stacked on top
    without closing previous ones.

  [ Emin Tufan Çetin ]
  * Update Turkish translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Stefan Hansson ]
  * conf-tweaks: Document differences from postmarketOS Tweaks
  * ci: Add src/conf-tweaks/*.md to MARKDOWN_PATHS
  * doc: Link to conf-tweaks documentation
  * conf-tweaks: Fix linter error

 -- Guido Günther <agx@sigxcpu.org>  Mon, 29 Dec 2025 18:17:53 +0100

phosh-mobile-settings (0.51.0) experimental; urgency=medium

  [ Stefan Hansson ]
  * conf-tweaks: Move locale poison to its own file and use it in mappings.
    We don't want to do locale-specific format handling in the mappings
    either, so let's poison it there too.
  * conf-tweaks: Remove use of g_strtod from mappings and poison it.
    We already poison the non-GLib strtod, poison the GLib variant for the
    same reason. A better replacemnet is g_ascii_strtod () since it always
    behaves as if it uses the C locale, which is what we want.
  * ci: Also run non-ASAN tests in xvfb-run.
    We need a display for the tests to pass now, so add it here too.
  * conf-tweaks: Minor style fixes.
    Similar fixes have been requested elsewhere, let's keep it consistent.
  * build: Bump GLib dependency to 2.84.
    To allow using g_string_new_take (), which requires GLib 2.78. Bumping
    all the way to 2.84 to align with Debian Stable however.
  * conf-tweaks: Don't leak link and link_target in error path.
  * conf-tweaks: Replace g_return_val_if_fail with g_assert in symlink backend.
    Apparently preferred for non-library APIs.
  * conf-tweaks: Simplify Xresources file writing.
    We don't need to print messages here this now that we're doing GError
    handling better.

  [ Artur S0 ]
  * Update Russian translation

 -- Guido Günther <agx@sigxcpu.org>  Sat, 15 Nov 2025 10:57:26 +0100

phosh-mobile-settings (0.51~rc1) experimental; urgency=medium

  [ Stefan Hansson ]
  * conf-tweaks: Return boolean from value setter methods.
    Closes https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/86
  * conf-tweaks: Remove excess semicolon
  * tests: Add test for constructing an empty MsTweaksPreferencesPage
  * conf-tweaks: Use g_steal_pointer () to simplify some pointer stealing
  * conf-tweaks: Add more braces.
    Stylistic preference, apparently.
  * conf-tweaks: Use GInitable for the GSettings backend.
    It's better to put the fallible logic the GInitable init method than in
    the _new () method.
  * conf-tweaks: Fix signature for functions connecting to GtkButton::clicked.
    This was a copy-paste error, I'm not sure how it ever worked. The
    GtkButton::clicked signal only has two parameters, GtkButton * and
    gpointer. There is no third argument, and none of them give a GdkEvent.
    See https://docs.gtk.org/gtk4/signal.Button.clicked.html
  * conf-tweaks: Add more assertions in file_widget_unset ()
    Can be useful for catching bugs.
  * conf-tweaks: Display an error toast if unsetting a file fails.
    Before, this would just fail silently.
    Fixes c83aef0f9865f735e5255b098c1597cd15198d43
  * conf-tweaks: Display an error toast if picking a file fails.
    Fixes c83aef0f9865f735e5255b098c1597cd15198d43
  * conf-tweaks: Also append file picker label in file widget.
    Otherwise you cannot see which file has been picked.
    Fixes 646c6984047d6637dc3d353e72dfd0ca3075786b
  * conf-tweaks: Remove nonsensical assertion.
    I'm not sure why I added this assertion, but my guess would be that
    either `from` also used to be a pointer, or I just didn't really think
    about that it wasn't one when adding that. Either way, it makes no sense
    since it's perfectly valid for the weigh of a setting to be 0. Asserting
    that `into` is not 0 makes sense since it is a pointer and this function
    will crash if `into` is a NULL pointer.
    Closes https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/88
    Fixes b113b068e26ce11cb645b5570d9f00a999cb8de0
  * tests: Add tests for merge_weights ()
  * conf-tweaks: Add ms_tweaks_expand_single () utility function
  * conf-tweaks: Remove set_source_ext from backend interface.
    This should've been handled as a property, not like this. Remove this
    now unused part of the interface.
  * conf-tweaks: Add utility for checking whether a given path is inside $HOME
  * conf-tweaks: Add Symlink backend
  * tests: Add test for Symlink backend
  * conf-tweaks: Add more braces.
    Stylistic preference, apparently.
  * conf-tweaks: Make setting-data a prop in Xresources backend.
    More consistent with other backends, probably more idiomatic? It also
    avoids potential use-after-free issues with setting_data by copying it
    instead of borrowing it.
  * conf-tweaks: Make xresources-path a prop in Xresources backend.
    Previously this was implemented using a bespoke default value handling
    solution rather than the GObject-property one. Make it a GObject
    property so we don't have to worry about that.
  * conf-tweaks: Fix error not being set properly in Xresources backend
  * conf-tweaks: Reorder functions to align with Phosh code style.
  * conf-tweaks: Add Gtk3settings backend
  * conf-tweaks: Add tests for Gtk3settings backend
  * conf-tweaks: Only attempt to create new Xresources on G_FILE_ERROR_NOENT.
    If there was some other error, we probably don't want to try to make a
    new file since something is weird with the location we're trying to
    write to.
    Additionally, shuffle around some code to make it more readable and
    clearer what's going on. It seems unexpected to me that
    write_new_xresources () expects an error that already is filled and then
    clears it. Move this to the caller.
  * conf-tweaks: Handle mapping failures gracefully in PreferencesPage.
    Previously the program could crash due to type errors if the mapping
    step didn't go through properly. Handle such cases better by just
    ignoring the problematic setting.
    Also reorganise some code to make it easier to follow.
  * conf-tweaks: Simplify G_TYPE_STRING normalisation
  * conf-tweaks: Add more assertions to ms_tweaks_mappings_handle_get ()
    Made possible by earlier code reorganisations.
  * tests: Replace FLT_TRUE_MIN with FLT_EPSILON.
    Requested during review[1].
     [1]: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/merge_requests/276#note_2592049
  * tests: Don't run unit tests in Phoc, use xvfb.
    Running them in Phoc means that setting brakepoints immediately when you
    enter gdb becomes a lot trickier and isn't really necessary. This does
    however mean that you have to run the tests with xvfb-run or equivalent
    for test-preferences-page to pass.

  [ Nathan Follens ]
  * Update Dutch translation

  [ Sabri Ünal ]
  * Update Turkish translation
  * Update Turkish translation

  [ Guido Günther ]
  * tweaks-preference-page: Fix file_picker_label life cycle.
    Appending to a box sinks the ref so we can't sink or unref it
    later without taking a reference on our own first. But as the label
    won't outlive the containing widget there's no need for us to
    keep a reference anyway.
    Should we ever intend to use the metadata longer than the generated
    widget we would sink the ref in `setting_data_to_file_widget` and
    would unref on dispose.
  * ci: Use check image.
    No need to reach out to an external registry and install packages
    every time
  * ci: Drop PKG_ONLY.
    Unused since ages
  * ci: No need to fetch packages from experimental.
    All in forky now
  * ci: Update image to forky
  * ci: Simplify.
    Use the shared default image from 5cd8a21 now that the
    code is merged.
  * feedback-panel: Add sound row for alarm clock
  * feedback-panel: Check for mobile friendly alarm app.
    If we find an alarm app that is likely to support feedbackd
    we enable the sound settings row. This is currenlty based on
    the app having the `--hidden` option. We might later on check
    for the DBus name.
  * feedback-panel: Use header capitalization
  * audio-devices: Fix ringtone loopback name.
    Let's make it match https://gitlab.freedesktop.org/xdg/xdg-specs/-/issues/202
  * audio-device-row: Get volume only once
  * audio-devices: Handle phone call volume
  * audio-device-row: Drop fallback.
    Otherwise we might fallback to incorrect icons for the volume streams.
  * plugin-list-box: Don't warn on missing icon.
    Otherwise we fail on every system that has phosh plugins installed.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/92
    Fixes: 6cd666c ("plugin-list-box: Don't warn on missing icon")
  * feedback-panel: Don't warn when operation got cancelled.
    This can happen in tests
    Fixes: f56f820 ("feedback-panel: Check for mobile friendly alarm app")
  * packaging: Require phosh plugins during the build.
    This makes sure we test plugin related code paths which
    is the common case on phosh installations.
  * ci: Update images.
    Make sure we test against recent GTK.
  * ci: Switch all jobs to forky
  * ci: Robustify xvfb-run
  * ci: Don't set renderer.
    This lets test fail when running under xvfb and everyone should
    have recent enough GTK nowadays.

  [ Martin ]
  * Update Slovenian translation
  * Update Slovenian translation

  [ Daniel Rusek ]
  * Update Czech translation

  [ Antonio Marin ]
  * Update Romanian translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Efstathios Iosifidis ]
  * Add Greek translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Gotam Gorabh ]
  * ms-plugin-row: Display icon for enabled quick settings.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/56

  [ Juliano de Souza Camargo ]
  * Update Brazilian Portuguese translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Yaron Shahrabani ]
  * Update Hebrew translation

 -- Guido Günther <agx@sigxcpu.org>  Sun, 09 Nov 2025 12:39:44 +0100

phosh-mobile-settings (0.50.0) experimental; urgency=medium

  [ Guido Günther ]
  * plugin-list-box: Skip plugins with NoDisplay=true.
    We don't want to show demo plugins to the user. We also might at
    some point have plugins that are always enabled. Hence add a way
    to hide those plugins in the UI.
  * tweaks-backend-xresources: Simplify includes.
    Fixes: 95a3da8 ("conf-tweaks: Add Xresources backend")
  * tweaks-preferences-page: Sink floating ref on failure.
    If we don't construct a page we need to sink the ref as
    `g_initable_new()` will drop one on failure. This raises
    a warning if the ref is floating.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/85

  [ Stefan Hansson ]
  * conf-tweaks: Propagate errors from backends into toasts.
    This is currently not used, but it will be used by future backends such
    as the Xresoruces backend.

  [ Daniel Rusek ]
  * Update Czech translation

  [ Martin ]
  * Update Slovenian translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Juliano de Souza Camargo ]
  * Update Brazilian Portuguese translation

  [ Antonio Marin ]
  * Update Romanian translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Artur S0 ]
  * Update Russian translation

 -- Guido Günther <agx@sigxcpu.org>  Sat, 04 Oct 2025 12:32:23 +0200

phosh-mobile-settings (0.50~rc1) experimental; urgency=medium

  [ Stefan Hansson ]
  * conf-tweaks: Rename from pmos-tweaks.
    The name is being changed for two reasons:
    - While this scheme originated in postmarketOS, it is not strictly
      related or dependent on postmarketOS.
    - The name postmarketOS is due to be changed soon, but actually
      changing it will take a while. Waiting for a new name before landing
      this doesn't make much sense.
  * conf-tweaks: Rename page-builder to preferences-page.
    Now that this file contains a class called PreferencesPage, it makes
    more sense for it to be named after that.
  * build: Bump meson dependency to 1.7.0.
    Later commits introduce a meson.options file for configuring the build.
    Previously, this file was called meson_options.txt but in Meson 1.1.0
    that was changed to the new one. To avoid introducing a deprecated name
    that just will have to be renamed later, bump the minimum Meson version
    required now. 1.7.0 was chosen as it's the version that will be present
    in the next Debian stable release. Additionally, the latest Alpine
    stable at the time of writing has Meson 1.8.1, so this works for
    postmarketOS too. While it could've been bumped to 1.1.0 instead, 1.7.0
    means we can wait longer until we have to bump this again.
  * conf-tweaks: Hide behind GSetting by default.
    This means it manually has to be opted-into. Eventually, we probably
    want to expose a button in the UI that allows users to opt in without
    changing any GSettings.
  * conf-tweaks: Add tweak definition parsing code.
    Will be used in later commits.
  * tests: Add test for tweak definition parser
  * tests: Add tests for datasources
  * conf-tweaks: Add GSettings backend
  * tests: Add test for GSettings backend
  * conf-tweaks: Plug some leaks.
    Fixes f8dd824b47e1f1bf630fc62d1dbbcb0133c48855
  * conf-tweaks: Pretty print backend identifier
  * conf-tweaks: Clean up PreferencesPage code.
    Remove some const pointers, fix some minor bugs, make widget addition
    logic simpler.
  * tests: Add assertion for warning message in choice widget test.
    We want this to emit an error, so ensure that it actually happens.
  * conf-tweaks: Fix crash in get_keys_from_hashtable ()
    The gtk_string_list_new () constructor assumes a NULL-terminated array,
    so we need to actually make it so. Otherwise we get crashes when the
    memory doesn't happen to accidentally be NULL at the right place.
    Fixes f8dd824b47e1f1bf630fc62d1dbbcb0133c48855
  * tests: Add test for get_keys_from_hash_table ()
  * conf-tweaks: Clean up string ms_tweaks_log ()
    And also adapt test.
  * conf-tweaks: Use MsPanel as parent instead of AdwPreferencesPage.
    Without this, we get criticals when searching. This also implements
    searching through tweaks panels by using their names as search keywords.
  * conf-tweaks: Use conf-tweaks-symbolic icon for pages.
    This makes the default distinct from the other pages in the app, as the
    science icon also is used by the "Experimental features" page.
    Taken from GNOME Tweaks where it was called
    "org.gnome.tweaks-symbolic.svg".
  * conf-tweaks: Rename self_ to backend in GSettings backend.
    Reference: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/merge_requests/227#note_2540955
  * run: Add --gdb argument for debugging.
    This makes it easy to run the program with the gdb debugger without
    having to execute the executable directly or modify the generated run
    file, both of which come with their own cans of worms.
  * conf-tweaks: Add to include path
  * conf-tweaks: Add i18n support
  * conf-tweaks: Remove restrict specifiers on pointers.
     [1]: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/merge_requests/227#note_2545718
  * conf-tweaks: Add button for toggling visibility.
    Closes https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/83
  * conf-tweaks: Only display "Enable Conf Tweaks" if such files exist.
    Closes https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/84
  * conf-tweaks: Don't leak toggle_conf_tweaks GAction
  * conf-tweaks: Add utility function for retrieving a single key.
    Will be used by most backends.
  * conf-tweaks: Add Xresources backend
  * tests: Add test_construct (), test_get (), test_set (), and test_remove ()
    These can be reused for multiple backends.
  * tests: Add test for Xresources backend
  * tests: Update GSettings backend test to use common test utilities

  [ Emin Tufan Çetin ]
  * Update Turkish translation

  [ Anna (cybertailor) Vyalkova ]
  * ms-tweaks-utils: Use G_GNUC_PRINTF macro in function declaration
    gnu_printf is not recognized by Clang.
    Fixes: f8dd824b4 ("pmos-tweaks: Add initial UI code parts")
  * ms-tweaks-utils: Ignore -Wformat-nonliteral warning.
    Otherwise "-Werror=format=2" makes build fail with Clang.
    Fixes: f8dd824b4 ("pmos-tweaks: Add initial UI code parts")

  [ Guido Günther ]
  * build: Let schema generation depend on schema file.
    This triggers a rebuild when the schema changes
  * doc: Use a matrix.to link.
    Rather than directing to a specific element instance use the
    https://matrix.to/ redirect service that works with most clients.
    While at that move to the canonical name.

  [ Gotam Gorabh ]
  * ms-feedback-panel: Prefer char over gchar
  * ci: Add check for gchar.
    Prefer char over gchar.

  [ Daniel Rusek ]
  * data: AppStream metadata fixes
    - Change component type to "desktop-application"
    - Remove deprecated ".desktop" suffix from app id
  * Update Czech translation

  [ Philipp Kiemle ]
  * Update German translation

  [ Nathan Follens ]
  * Update Dutch translation

  [ Juliano de Souza Camargo ]
  * Update Brazilian Portuguese translation

  [ Martin ]
  * Update Slovenian translation

  [ Antonio Marin ]
  * Update Romanian translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Sabri Ünal ]
  * Update Turkish translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Kristjan SCHMIDT ]
  * Add Esperanto translation

  [ twlvnn kraftwerk ]
  * Update Bulgarian translation

  [ Artur S0 ]
  * Update Russian translation

  [ Yaron Shahrabani ]
  * Update Hebrew translation

 -- Guido Günther <agx@sigxcpu.org>  Mon, 29 Sep 2025 12:16:09 +0200

phosh-mobile-settings (0.49.0) experimental; urgency=medium

  [ Guido Günther ]
  * build: Link statically against libcellbroadcast subproject.
    Otherwise installing in parallel with cellbroadcastd
    or the shared lib becomes cumbersome. This only affects
    the subproject build.
  * osk-add-shortcut-dialog: Drop unused modifier enum
  * osk-add-shortcut-dialog: Don't leak string
  * osk-add-shortcut-dialog: Don't mark allocated string as const
  * osk-add-shortcut-dialog: Don't select clicked items.
    We then don't have to unselect them.
  * osk-add-shortcut-dialog: Simplify activated signal.
    Selection is something different so rename it and also use
    a swapped signal as we do with other callbacks
  * osk-add-shortcut-dialog: Be more careful when choosing a shortcut.
    When the user clicks on a shortcut in the "choose shortcut" field
    preserve the current modifiers and replace any non-modifiers with
    the clicked one. This avoids "invalid modifiers" on every 2nd click.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/78
  * osk-add-shortcut-dialog: Properly extract modifiers.
    When toggling modifiers properly extract the current ones.
    The current code would result in "invalid modifier" if a
    non-modifier is already selected.
  * osk-add-shortcut-dialog: Use update_shortcut

  [ Danial Behzadi ]
  * Update Persian translation

  [ Stefan Hansson ]
  * pmos-tweaks: Improve compare_by_weight ()
    Previously, it would report that A and B were equal if B was bigger than
    A. With this, all three cases are handled properly.
  * tests: Fix hash and equal functions in test_sort_settings_by_weight ()
    This hash table only contains pointers, not strings. Potentially, this
    could result in more hash collisions and invalid equality. Fix it by
    using the right types for pointers.
    Tested on a real s390x machine and confirmed to fix the failure in the
    tweaks-parser unit test.
    Closes https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/79

 -- Guido Günther <agx@sigxcpu.org>  Fri, 15 Aug 2025 10:17:57 +0200

phosh-mobile-settings (0.49~rc1) experimental; urgency=medium

  [ Stefan Hansson ]
  * ci: Guard coverage with || true.
    The coverage fails for no apparent reason, so guard it with `|| true` as
    to not fail the entire test check over this.
  * pmos-tweaks: Add initial UI code parts.
    Based on the original postmarketOS Tweaks:
    https://gitlab.postmarketos.org/postmarketOS/postmarketos-tweaks
    Split off from:
    https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/merge_requests/193
  * tests: Add tests for tweaks widget construction and utilities
  * pmos-tweaks: Properly map data from backends
  * pmos-tweaks: Properly map data going into backends
  * tests: Add tests for mappings and associated utilities
  * pmos-tweaks: Add initial documentation.
    Will be expanded in future patches.
  * tests: Disable Xwayland in Phoc tests.
    Xwayland cannot launch in certain environments, such as Distrobox
    containers. While it's possible that this could be fixed with additional
    configuration, there is no need to have Xwayland running for these
    tests, so just disable it.
    Also pull in Phoc from Debian experimental so that we get a new enough
    version for this.

  [ Evangelos Ribeiro Tzaras ]
  * audio-device-row: Fix typo
  * alerts-panel: Use cancellable for GDBusProxy.
    And delay accessing self until after checking whether
    the Cancellable has been cancelled.
  * build: Bump gmobile dependency and disable more options.
    We need gmobile 0.4.0-dev for setting the channels in libcellbroadcast,
    which is about to be introduced.
  * d/control: Add mobile-broadband-provider-info and libmm-glib-dev.
    Needed for libcellbroadcast (and new enough gmobile).
    This can be reverted once a cellbroadcastd package is available.
  * build: Add libcellbroadcast as a subproject.
    It provides access to the cell broadcast message store
    which we want to display in p-m-s.
  * packaging: Skip installing gmobile and libcellbroadcast
  * ms-cb-message-row: Introduce rows for cell broadcast messages
  * ms-alerts-panel: Add cell broadcast history.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/75
  * ms-alerts-panel: Style cellbroadcast list box properly.
    And bump the required libadwaita version to 1.6,
    which introduced `adw_preferences_group_get_separate_rows()`
  * alerts-panel: Add placeholder when there are no cbm yet
  * alerts-panel: Add toast to indicate failure retrieving CBMs

  [ Antonio Marin ]
  * Update Romanian translation

  [ Guido Günther ]
  * ci: Update shared scripts to 47c1f64
  * ci: Use gmobile from experimental.
    We want 0.4.0
  * packaging: Bump gmobile build dependency.
    We don't have libcellbroadcast yet but let's
    avoid this fallback at least.
  * packaging: Ignore more daemon related files
  * packaging: Install libcellbroadcast until it's in distributions
  * osk-layout-prefs: Fix row removal.
    The signature was wrong causing a crash when removing layouts.
    Fixes: 4ac327d ("osk-panel: Allow to configure OSK layouts")
  * feedback-panel: Drop schema check.
    We can depend on feedbackd 0.8.0 and do so since 0.46 already.
  * osk-panel: Allow to configure automatic scaling properties
  * cb-message-row: Wrap message body.
    Otherwise the panel overflows to the right.
    Fixes: 8539dd1 ("ms-cb-message-row: Introduce rows for cell broadcast messages")
  * alerts-panel: Set `none` selection mode.
    Otherwise the messages highlight when unfolding
    Fixes: 1824e0f ("ms-alerts-panel: Add cell broadcast history")
  * message-row: Strip whitespace.
    Some messages (e.g. Vodafone test messages) have excessive
    whitespace at the end of the message, strip that.

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Martin ]
  * Update Slovenian translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Daniel Rusek ]
  * Update Czech translation

  [ Álvaro Burns ]
  * Update Brazilian Portuguese translation

  [ Rudra Pratap Singh ]
  * utils: Add API to normalize, casefold and unaccent string
  * utils: Add API for getting a casefolded GtkStringList
  * ms-panel: Create base class for standard panels.
    A new base class will make it easier for example
    to set common properties/signals.
  * alerts-panel: Derive from MsPanel class
  * compositor-panel: Derive from MsPanel class
  * convergence-panel: Derive from MsPanel class
  * features-panel: Derive from MsPanel class
  * feedback-panel: Derive from MsPanel class
  * lockscreen-panel: Derive from MsPanel class
  * osk-panel: Derive from MsPanel class
  * overview-panel: Derive from MsPanel class
  * sensor-panel: Derive from MsPanel class
  * topbar-panel: Derive from MsPanel class
  * panel-switcher: Allow filtering the panels listbox via search query
  * panel-switcher: Add API to set active panel by index
  * settings-window: Add SearchBar widget for searching panels

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Yaron Shahrabani ]
  * Update Hebrew translation

  [ Juliano de Souza Camargo ]
  * Update Brazilian Portuguese translation

  [ Emin Tufan Çetin ]
  * Update Turkish translation

  [ Gotam Gorabh ]
  * ms-osk-panel: Allow to add/remove a shortcut.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/63
  * ms-osk-add-shortcut-dialog: Align key_flowbox's shortcut label to the center.
    Align the selection focus of shortcut key to center.
    Fixes: 7d5f2832 ("ms-osk-panel: Allow to add/remove a shortcut")
  * ms-osk-add-shortcut-dialog: Unselect shortcut key on clear or invalid shortcut.
    Ensure the shortcut key selection is cleared when the user either:
    - performs a clear operation, or
    - enters an invalid shortcut that cannot be accepted.
    Fixes: 7d5f2832 ("ms-osk-panel: Allow to add/remove a shortcut")
  * ms-osk-add-shortcut-dialog: Enable content-based sizing.
    Set `follows-content-size` to `True` to ensure the dialog
    takes up enough vertical space to fit its content.
    Fixes: 7d5f2832 ("ms-osk-panel: Allow to add/remove a shortcut")

  [ twlvnn kraftwerk ]
  * Update Bulgarian translation

  [ Alexander Alexandrov Shopov ]
  * Update Bulgarian translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Artur S0 ]
  * Update Russian translation

 -- Guido Günther <agx@sigxcpu.org>  Fri, 08 Aug 2025 19:53:39 +0200

phosh-mobile-settings (0.48.0) experimental; urgency=medium

  [ Gotam Gorabh ]
  * osk-panel: Allow to enable/disable popover osk-feature.
    Add a switch to enable/disable the key indicator popover.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/74

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Daniel Rusek ]
  * Update Czech translation

  [ Juliano de Souza Camargo ]
  * Update Brazilian Portuguese translation

  [ Martin ]
  * Update Slovenian translation

  [ Antonio Marin ]
  * Update Romanian translation
  * Update Romanian translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Yaron Shahrabani ]
  * Update Hebrew translation

  [ Artur S0 ]
  * Update Russian translation

 -- Guido Günther <agx@sigxcpu.org>  Mon, 30 Jun 2025 08:47:06 +0200

phosh-mobile-settings (0.48~rc1) experimental; urgency=medium

  [ Guido Günther ]
  * ci: Update image.
    The repo moved and we want to use a newer image anyway
  * ci: Include templates directly.
    This should avoid the 429 errors
  * ci: Update shared scripts to a7ec897.
    This makes us catch misformated meson files automatically.
  * alerts-panel: New panel for Cell Broadcast.
    This can also be used for other alert systems we want to support in the future like CAP.
  * ms-alerts-panel: Detect Cell Broadcast service availability.
    Show the empty state when we cbd doesn't indicate proper support.
  * osk-panel: Handle deleted binaries.
    On package upgrade when the old OSK binary is still running the executable has as `(deleted)`
    suffix, handle that.
  * osk-panel: Switch to stevia.
    Follow the OSK rename. We just handle osk-stub as "unknown keyboard" so there's no fallback
    necessary.
  * application: Don't leak debug info.
    It's harmless as the programm quits afterwards but lets make
    running under ASAN simpler.
    Fixes: 6187ea1 ("application: Add local option to print debug info")
  * feedback-panel: Don't leak categories.
    We need to free the old value
    Fixes 5a26621 ("feedback-panel: Allow to enable notification categories")
  * build: Ensure p-m-s gets rebuilt when running the test.
    Otherwise we might test an outdated binary
  * tests: Simplify using ASAN.
    This ensures we get proper backtraces and suppress adwaita and
    fontconfig caches.
  * osk-panel: Silence debug message
  * osk-layout-prefs: Don't print error when operation got cancelled.
    Otherwise `--list` might print a pointless warning.
  * data: Add more suppressions.
    There's more fontconfig things and we also leak the loaded modules.
  * feedback-panel: Don't leak audio devices
  * application: Don't leak window
  * osk-panel: Don't leak content provider
  * plugin-list-box: Don't leak rows.
    We're using widgets in the list model which are floating so make
    sure we deal with non-floating refs everywhere.
  * osk-panel: Don't leak enabled completer
  * osk-panel: Don't leak flags.
    We need to free the container but not the strings
  * overview-panel: Don't leak app-info.
    We already have a ref, no need for another one
  * plugin-row: Don't leak subtitle
  * tests: Depend on compiled schemas.
    Otherwise they're not here when we run the tests
  * data: Suppress leak in libgallium.
    This is triggered by gdk_gl_context_create_egl_context so use
    that so we don't need to pull in mesa symbols too (or ignore
    the whole library)
  * ci: Add and use p-m-s CI images.
    We add the dbgsym packges so the ASAN tests can match the symbols.
  * ci: Add asan test

  [ Stefan Hansson ]
  * build: Use static library for building executable.
    This will later be used in some tests.
  * build: Fix formatting.

  [ Suraj Kumar Mahto ]
  * feedback-panel: Allow to enable notification categories.
    This commit adds switches to toggle categories that can wakeup the screen
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/29

  [ Martin ]
  * Update Slovenian translation

  [ Antonio Marin ]
  * Update Romanian translation

  [ Juliano de Souza Camargo ]
  * Update Brazilian Portuguese translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Emin Tufan Çetin ]
  * Update Turkish translation

  [ Álvaro Burns ]
  * Update Brazilian Portuguese translation

  [ Artur S0 ]
  * Update Russian translation

  [ Yaron Shahrabani ]
  * Update Hebrew translation

 -- Guido Günther <agx@sigxcpu.org>  Sat, 21 Jun 2025 12:25:37 +0200

phosh-mobile-settings (0.47.0) experimental; urgency=medium

  [ Tomi Lähteenmäki ]
  * tests: Use opengl renderer on gtk>=4.19.1.
    The old "gl" renderer is now accepted again but one should use "opengl"
    renderer: https://gitlab.gnome.org/GNOME/gtk/-/commit/e19de7ee959929828ff5342617879cc3d97bd2d9
    See also: https://gitlab.gnome.org/GNOME/gtk/-/commit/b111923d7a6e25c15a813caf350df31afee94706

  [ Guido Günther ]
  * resources: Sort icons alphabetically
  * subprojects: Add gvc
  * audio-devices: New class that allows to track loopback devices.
    These represent our different stream types like alert, multimedia and
    notificatio.
    See https://gitlab.freedesktop.org/agx/feedbackd/-/merge_requests/170
    for a matching pipewire configuration.
    The classes are based on Phosh's audio-device* classes.
  * feedback-panel: Track audio devices.
    Using ms-audio-devices track the relevant loopback devices
  * audio-device-row: New widget adjust tweak volume of a loopback sink.
    The widget is meant to be used with a list box creat function and takes
    an audio device as input which it then uses to map the volume slider to
    the stream volume.
  * data: Add call-ring symbolic icon.
    Taken from GNOME's awesome IconLibrary
  * feedback-panel: Allow to set volume of loop streams.
    This allows to adjust the volumes of alerts, multimedia and
    notifications separately.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/15

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Artur S0 ]
  * Update Russian translation

  [ Álvaro Burns ]
  * Update Brazilian Portuguese translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Sabri Ünal ]
  * Update Turkish translation

 -- Guido Günther <agx@sigxcpu.org>  Sun, 18 May 2025 09:25:37 +0200

phosh-mobile-settings (0.47~rc1) experimental; urgency=medium

  [ Guido Günther ]
  * applications-panel: Rename to overview panel.
    It handles aspects of the overview and app-grid.
  * overview-panel: Sort template children alphabetically
  * overview-panel: Drop GTK version check.
    We can assume recent enough GTK nowadays
  * overview-panel: Use g_object_unref.
    Simpler than g_clear_pointer
  * utils: Move wallpaper setting here.
    We make it an async function so it can be reused in other panels.
  * utils: Move picture mode from/to bool conversion here
  * lockscreen-panel: Use new helper from utils
  * overview-panel: Allow to set background wallpaper.
    This makes it consistent with the lockscreen wallpaper and gives us an
    easy way to disable it.
  * overview: Reindent UI file.
    No other changes
  * treewide: Fixed signed vs unsigned comparisons
  * build: Enable -Ssign-compare
  * build: Drop -Wno-missing-field-initializers.
    We set -Wmissing-field-initializers couple of lines above
  * overview-panel: Ask for confirmation when resetting favorites.
    People take great care in setting these up, let's check before going
    back to the defaults.

  [ Baxrom Raxmatov ]
  * Add Uzbek (Latin) translation

  [ Antonio Marin ]
  * Update Romanian translation

  [ Yaron Shahrabani ]
  * Update Hebrew translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Martin ]
  * Update Slovenian translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Bruce Cowan ]
  * Update British English translation

  [ Emin Tufan Çetin ]
  * Update Turkish translation

  [ Anders Jonsson ]
  * Update Swedish translation

 -- Guido Günther <agx@sigxcpu.org>  Thu, 08 May 2025 09:06:28 +0200

phosh-mobile-settings (0.46.0) experimental; urgency=medium

  [ Guido Günther ]
  * main: Move lfb init to application.
    This avoids warnings e.g. in CI when feedbackd can't be initialized.

  [ Vasil Pupkin ]
  * Update Belarusian translation

  [ Bruce Cowan ]
  * Update British English translation

  [ Artur S0 ]
  * Update Russian translation

 -- Guido Günther <agx@sigxcpu.org>  Mon, 31 Mar 2025 09:10:38 +0200

phosh-mobile-settings (0.46~rc1) experimental; urgency=medium

  [ Sebastian Krzyszkowiak ]
  * ms-sound-row: Add .oga to the list of suffixes
    .oga is the recommended file extension by the sound theme spec.

  [ Guido Günther ]
  * osk-panel: Mark spin buttons as numeric.
    This way we get a matching numeric OSK layout.
  * lockscreen-panel: Move screen delay to the end of the group.
    This avoids unfolding the OSK when opening the page
  * lockscreen-panel: Mark spin row as numeric.
    This way we get a matching numeric OSK layout.
  * build: Update editorconfig and dirlocals.el from meta-phosh
  * feedback-panel: Make maximum haptic-strength configurable.
    This is an important accessibility feature.
  * main: Init libfeedback.
    Needed to emit haptic
  * feedback-panel: Emit feedback when hapitc strength changes.
    Makes it easier to find a suitable value
  * ci: Use GNOME's mirror for CI fairy
  * treewide: Update shared scripts and dotfiles to 0ed15ed
  * treewide: Format meson files
  * ci: Check meson format
  * lockscreen: Allow to set lockscreen walllpaper.
    After selection we present the wallpaper via the wallpaper portal.
  * lockscreen: Reindent UI file

  [ Alexandre Franke ]
  * Update French translation

  [ Scrambled 777 ]
  * Update Hindi translation

  [ Jiri Grönroos ]
  * Update Finnish translation

  [ Jordi Mas i Hernandez ]
  * Update Catalan translation

  [ Martin ]
  * Update Slovenian translation

  [ Alexander Shopov ]
  * Update Bulgarian translation

  [ Daniel Rusek ]
  * Update Czech translation
  * feedback-panel: Fix typo

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Antonio Marin ]
  * Update Romanian translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Álvaro Burns ]
  * Update Brazilian Portuguese translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Emin Tufan Çetin ]
  * Update Turkish translation

  [ Yosef Or Boczko ]
  * Update Hebrew translation

 -- Guido Günther <agx@sigxcpu.org>  Fri, 21 Mar 2025 18:48:55 +0100

phosh-mobile-settings (0.45.0) experimental; urgency=medium

  * No changes over 0.45~rc1

 -- Guido Günther <agx@sigxcpu.org>  Sat, 15 Feb 2025 09:56:25 +0100

phosh-mobile-settings (0.45~rc1) experimental; urgency=medium

  [ Stefan Hansson ]
  * ci: Use meson setup <path>. Using meson <path> to run setup is deprecated.

  [ Tomi Lähteenmäki ]
  * tests: Use GSK_RENDERER=ngl. GTK removed the "gl" renderer in 4.17 series.

  [ Gotam Gorabh ]
  * ms-head-tracker: Add new event to MsHead
  * debug-info: Add current output configuration.
    It would be nice to have the current output configuration (including
    resolution and scale).
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/51

  [ Yaron Shahrabani ]
  * Update Hebrew translation

 -- Guido Günther <agx@sigxcpu.org>  Sun, 09 Feb 2025 13:02:18 +0100

phosh-mobile-settings (0.44.0) experimental; urgency=medium

  [ Anders Jonsson ]
  * Update Swedish translation

  [ twlvnn kraftwerk ]
  * Add Bulgarian translation

 -- Guido Günther <agx@sigxcpu.org>  Sat, 21 Dec 2024 16:41:38 +0100

phosh-mobile-settings (0.44~rc1) experimental; urgency=medium

  [ Guido Günther ]
  * ci: Update shared scripts to 2c11568
  * docs: Cleanup markdown. Makes mdl happy
  * ci: Check markdown
  * osk-panel: Fix error message. We're looking at completer info here.
  * osk-panel: Allow to force OSK.
    This is useful for testing as we're not dependent on the OSK installed
    on the system.
  * tests: Force an unknown OSK.
    This ensures tests like listing the panels don't depend on schema
    or files from the OSK.
  * ci: Update image. This speeds up ci builds.
  * packaging: Conflict with older phosh-plugins.
    Conflict with plugins that don't use AdwPreferencesDialog yet

  [ Gotam Gorabh ]
  * ms-compositor-panel: Add translators context.
  * ms-convergence-panel: Add translators context.
  * ms-features-panel: Add translators context.
  * ms-feedback-panel: Refactor notification urgency case
    consolidate 'none' urgency with default case for unified
    handling of unspecified notifications
  * ms-locksreen-panel: Add translators context.
  * ms-osk-panel: Add translators context.
  * ms-scale-to-fit-row: Add translators context.
    Helps: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/71
  * ms-sensor-panel: Add translators context.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/69
  * osk: Remove useless contexts.
    Drop the useless contexts instead add translators comments.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/70
  * mobile-settings-window: Remove content title string.
    Removing as It is never shown.
  * ms-plugin-librem5-panel: Mark missing string translatable.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/71
  * ms-osk-add-layout-dialog: Update translators comments
  * ms-plugin-list-box: Switch MsPluginListbox to AdwPreferencesDialog.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/64

  [ Teemu Ikonen ]
  * lockscreen-panel: Rename constant for 'shuffle-keypad' setting
  * lockscreen-panel: Use AdwSwitchRow for shuffle_switch
  * lockscreen-panel: Add a switch row for 'require-unlock' setting.
    Uses ms_schema_bind_property() for binding since the setting might not
    exist in the schema yet.

  [ Alexandre Franke ]
  * Update French translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Antonio Marin ]
  * Update Romanian translation

  [ Pierre Michel Augustin ]
  * Add Haitian Creole translation

  [ Martin ]
  * Update Slovenian translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Daniel Rusek ]
  * Update Czech translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Artur S0 ]
  * Update Russian translation

  [ Yaron Shahrabani ]
  * Update Hebrew translation

  [ Juliano de Souza Camargo ]
  * Update Brazilian Portuguese translation

  [ Sabri Ünal ]
  * Update Turkish translation

 -- Guido Günther <agx@sigxcpu.org>  Wed, 18 Dec 2024 23:23:56 +0100

phosh-mobile-settings (0.43.0) experimental; urgency=medium

  [ Gotam Gorabh ]
  * Add translator comments to clarify meaning and purpose of translatable
    strings.

  [ Guido Günther ]
  * metainfo: Mark release notes as translate=no.
    Let's save translator effort
  * osk-panel: Set use-underline. Otherwise we get a superfluous `_`
    Fixes 171ee26 ("osk: Use AdwSwitchRow")
    Fix an additional whitespace while at that.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 15 Nov 2024 11:25:44 +0100

phosh-mobile-settings (0.43~rc1) experimental; urgency=medium

  [ Guido Günther ]
  * ci: Let ci-fairy figure out the target branch.
    It uses gitlab-ci's CI_MERGE_REQUEST_TARGET_BRANCH_NAME
  * ci: Update to latest ci-fairy
  * ci: Enable signed-off-by checks
  * ci: Let ci-fairy run without dependencies
  * plugin-list-box: Fix indent
  * topbar-panel: Add log domain.
    Fixes f012151 ("topbar-panel: Create a new empty top bar panel")
  * plugin-list-box: Fix log domain
  * lockscreen-panel: Drop scan.
    This is done by the plugin-list-box anyway
  * plugin-list-box: Don't crash when we fail to load the extension.
    Rather give a hint what went wrong
  * build: Require glib 2.76.
    Allows us to use g_string_free_and_steal()
  * osk: Move p-o-s specific code to separate function
  * osk: Use AdwSwitchRow. Same functionality, less code.
  * osk-panel: Allow text completer selection.
    If a recent enough p-o-s provides the necessary data the user can select
    the used completer. If no such data is provided by the OSK we at least
    show the currently selected completer.
  * packaging: Drop unused file
  * osk-panel: Better handle the default completer.
    The default completer is indicated via the empty string (''). Make sure
    we provide some meaningful information.
    We do that here (rather than via the OSK) as for the case of a user
    selection we can then drop the confusing default entry.
    At some point we will enforce minimal completers on the OSK side and
    then this entry will just not be shown anymore.
  * osk-panel: Update completer when combo row changes

  [ MoonlightWave-12 ]
  * util: Fix typo
  * osk-panel: Add horizontal and vertical size-settings for Squeekboard.
    This makes it easier to adjust the keyboard to a convenient size,
    or work around scaling-issues.

  [ Stefan Hansson ]
  * gmobile: Update to 0.2.1
  * panel-switcher: Make scrollable.
    This allows the switcher to be scrolled if the height of the program is
    too small to display all options, which can happen if a device like the
    Librem 5 is viewing the program in landscape mode. It might also help
    devices with shorter screen if users have chosen a large text font.
    Additionally, it facilitates adding more options to the list in the
    future.
  * doap: Fix name, shortname, shortdesc and a typo.
    This project is not called Phosh, so let's set it to the real name.
    Makes for a slightly less confusing experience when selecting project in
    GNOME Builder.
    Additionally, make the shortdesc something unique.
    And, finally, fix a typo in description (up -> app).

  [ Martin ]
  * Update Slovenian translation

  [ Juliano de Souza Camargo ]
  * Update Brazilian Portuguese translation

  [ Antonio Marin ]
  * Update Romanian translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Yaron Shahrabani ]
  * Update Hebrew translation

  [ Daniel Rusek ]
  * Update Czech translation

  [ Jordi Mas i Hernandez ]
  * Update Catalan translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Artur S0 ]
  * Update Russian translation

  [ Nathan Follens ]
  * Add Dutch translation

  [ Jürgen Benvenuti ]
  * Update German translation

  [ Bruce Cowan ]
  * Update British English translation

 -- Guido Günther <agx@sigxcpu.org>  Mon, 11 Nov 2024 20:30:19 +0100

phosh-mobile-settings (0.42.0) experimental; urgency=medium

  [ Guido Günther ]
  * packaging: Let changelog hook handle rc versions.
    This allows our release pre script to work for RCs and actual releases.

  [ Vasil Pupkin ]
  * Add Belarusian translation

  [ Yaron Shahrabani ]
  * Update Hebrew translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Tim Sabsch ]
  * Update German translation

  [ Artur S0 ]
  * Update Russian translation

  [ Juliano de Souza Camargo ]
  * Update Brazilian Portuguese translation

 -- Guido Günther <agx@sigxcpu.org>  Sat, 28 Sep 2024 19:05:26 +0200

phosh-mobile-settings (0.42~rc1) experimental; urgency=medium

  [ Guido Günther ]
  * packaging: Bump phosh dependency.
    We want recent enums and schemas.
  * build: Require phosh's enums.
    We've done multiple releases with it now
    Fixes: f9e684a ("topbar-panel: Allow to set shell layout settings")
  * top-panel: Require enums from phosh.
    Drop the fallback as we'' require it in other parts of mobile settings
    too.
  * app-panel: Use enum filter-mode-flag enum from phosh
  * feedback-panel: Use phosh's enums for screen wake-up flags.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/55
  * run: Abort on criticals by default.
    They're too often ignored
  * run: Add our schema dir.
    This way we can keep running from the source tree
  * mobile-settings-application: Split panel activation into a helper
  * application: Open last panel on startup
  * packaging: Sync gmobile version with the subproject wrap
  * treewide: Ack gmobile unstable API in a single place.
    No use bothering separate source files with that.
  * application: Open the panel stored in `last-panel`
    If no panel was given on the command line get the panel to open from
    gsettings.
  * window: Remember the panel on stack page changes.
    This way we have the last panel available even when the app crashes.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/61
  * build: Sort deps alphabetically
  * plugin-row: Use gtk_widget_class_install_action for move up/down.
    This makes `update_enabled_move_actions()` actually work as
    `gtk_widget_action_set_enabled` only work on those actions.
  * plugin-list-box: Update movability after loading plugins.
    Otherwise move-up/down will be will be marked as possible in the popover
    for the first/last row until we move at least one row.
  * plugin-row: Remove duplicate logic.
    This duplicates the logic of `update_enabled_move_actions()`.
  * osk-panel: Hide HW keyboard detection by default.
    It's only supported with phosh-osk-stub
  * osk-panel: Allow to configure OSK layouts.
    This allows to add / remove and sort keyboard layouts.
    The list of available layouts is provided by the OSK. For XKB layouts we
    provide a translated language from the xkb database.

  [ Tomi Lähteenmäki ]
  * tests: Set GSK_RENDERER in test env.

  [ Sabri Ünal ]
  * Update Turkish translation

  [ Yaron Shahrabani ]
  * Update Hebrew translation

  [ Artur S0 ]
  * Update Russian translation

  [ Jordi Mas i Hernandez ]
  * Update Catalan translation

  [ Daniel Rusek ]

  [ Balázs Úr ]
  * Update Hungarian translation

  [ Juliano de Souza Camargo ]
  * Update Brazilian Portuguese translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Emin Tufan Çetin ]
  * Update Turkish translation

  [ Martin ]
  * Update Slovenian translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Antonio Marin ]
  * Update Romanian translation

 -- Guido Günther <agx@sigxcpu.org>  Fri, 20 Sep 2024 17:15:48 +0200

phosh-mobile-settings (0.41.0) experimental; urgency=medium

  [ Guido Günther ]
  * util: Add a helper to bind to a schema that might not exist.
    If we try to access schema entries that don't exist the app aborts.
    Allow to do that gracefully so that new settings can be added once the
    functionality landed on e.g. Phosh's main branch.
  * feedback-panel: Support quick-silent property.
    This allows to enable/disable silencing the phone on incoming calls via
    Vol-.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/59
  * util: Don't unref default schema
    `g_settings_schema_source_get_default` does not transfer ownership.

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Martin ]
  * Update Slovenian translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Scrambled 777 ]
  * Update Hindi translation

  [ Antonio Marin ]
  * Update Romanian translation

  [ Rafael Fontenelle ]
  * Add Brazilian Portuguese translation

 -- Guido Günther <agx@sigxcpu.org>  Thu, 15 Aug 2024 08:21:14 +0200

phosh-mobile-settings (0.41.0~rc1) experimental; urgency=medium

  [ Teemu Ikonen ]
  * panel-switcher: Allow going back to same page in folded mode.
    Rename on_visible_child_changed() in MobileSettingsWindow to
    show_content_cb(), since that's what it is doing.
    Connect this signal handler also to the 'row-activated' signal of
    MsPanelSwitcher so that the content page is shown in folded mode also
    when the visible child of the stack does not change.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/38
  * build: Require libadwaita version 1.5
  * application: Use AdwAboutDialog for credits
  * topbar-panel: Add row for 'show-battery-percentage'
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/58
  * topbar-panel: Fix indentation
  * topbar-panel: Move 'UI Elements' group above 'Quick Settings'

  [ Guido Günther ]
  * feedback-panel: Drop unused define
  * treewide: Bump libadwaita dependency to 1.5.
    AdwAboutDialog needs it
  * packaging: Require feedbackd-common >= 0.0.4.
    Needed for the prefer-flash setting.
  * feedback-panel: Support prefer-flash property.
    This allows to use a camera flash instead of a status LED.
  * ci: Add version number consistency check.
    This updates the script from meta-phosh to 3390c988d2202500fdca9419c2335656e0281c78
  * application: Set log domain
  * application: Use more flexible action parameter for set-panel.
    This will allow us to pass arbitrary key value pairs if needed.
  * build: Use '/' in favor of for installation dirs
  * data: Make DBus activatable.
    This is needed if 3rd party apps want to spawn certain panels.
  * application: Present window.
    This allows it to move to the foreground when the panel changes
    via e.g. dbus or command line.
  * ci: Update shared scripts to ebb7aef

  [ Danial Behzadi ]
  * Update Persian translation

  [ Daniel Rusek ]
  * Update Czech translation

  [ Scrambled 777 ]
  * Update Hindi translation

  [ Martin ]
  * Update Slovenian translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Artur S0 ]
  * Update Russian translation

  [ Antonio Marin ]
  * Update Romanian translation

  [ Yaron Shahrabani ]
  * Update Hebrew translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Jürgen Benvenuti ]
  * Update German translation

  [ Emin Tufan Çetin ]
  * Update Turkish translation

  [ Balázs Úr ]
  * Add Hungarian translation

 -- Guido Günther <agx@sigxcpu.org>  Wed, 07 Aug 2024 19:59:50 +0200

phosh-mobile-settings (0.40.0) experimental; urgency=medium

  [ Guido Günther ]
  * application: Register extension points upfront.
    Doing it in MsPluginListBox is too late as we only ever init one of the
    lock screen plugins there meaning that either quick setting or
  * application: Set translator credits.
    As we have translations now we should credit translators in about too.
  * build: Don't use deprecated build_root
  * build: Bump meson dependency to 1.0
  * build: Allow to use shared gmobile.
    Bump dependency to gmobile 0.2.0 while at that.
  * packaging: Depend on shared gmobile.
    This unbreaks the nightly builds which don't have gmobile.

  [ Gotam Gorabh ]
  * debug-info: Use dmi modalias for non DT devices.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/50
  * debug-info: Add org.gnome.desktop.interface related gsettings.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/53
  * debug-info: Drop duplicated gsetting
  * topbar-panel: Allow to set shell layout settings.
    This would allow to set shell layout settings and allow to disable taking device
    information into account (e.g. for testing or when the information in
    gmobile is broken).
    See https://phosh.mobi/posts/notch-support/ for more information.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/42
  * plugin-row: Make plugin row draggable.
    Plugin row already has a menu button to reorder the plugin but making it
    draggable will enhance the user experience.

  [ Teemu Ikonen ]
  * lockscreen-panel: Add a SpinRow for 'lock-delay' key.
    Allow setting the 'lock-delay' key from org.gnome.desktop.screensaver
    schema with AdwSpinRow.
    Add the row to 'Locking and unlocking' PreferencesGroup, renamed from
    'Unlocking'.

  [ Scrambled 777 ]
  * Update Hindi translation

  [ Jiri Grönroos ]
  * Add Finnish translation

  [ Jordi Mas i Hernandez ]
  * Add Catalan translation

  [ Artur S0 ]
  * Update Russian translation

  [ Daniel Rusek ]
  * Update Czech translation

  [ Yuri Chornoivan ]
  * Update Ukrainian translation

  [ Martin ]
  * Update Slovenian translation

  [ Ekaterine Papava ]
  * Update Georgian translation

  [ Danial Behzadi ]
  * Update Persian translation

  [ Yosef Or Boczko ]
  * Update Hebrew translation

  [ Anders Jonsson ]
  * Update Swedish translation

  [ Yaron Shahrabani ]
  * Update Hebrew translation

  [ Antonio Marin ]
  * Update Romanian translation

 -- Guido Günther <agx@sigxcpu.org>  Sat, 29 Jun 2024 09:41:59 +0200

phosh-mobile-settings (0.39.0) experimental; urgency=medium

  [ Guido Günther ]
  * tests: Don't fail if phoc is missing.
    There's already a block to skip the tests when phoc is missing but until
    now `meson setup` aborted when phoc isn't found.
    This unbreaks the nightly builds:
    https://source.puri.sm/guido.gunther/phosh-debs/-/jobs/432243
    Fixes: 363d074 ("tests: Add tests for local options")
  * librem5-panel: Mark strings as translatable
  * packaging: Add breaks against old phosh-osk-stub.
    We want at least 0.37.0 to have the ignore-hw-keyboards key
  * osk-panel: Allow to ignore hardware keyboards.
    This allows to always show the OSK, even when a hardware keyboard is
    present.
  * ci: Update common function and use template job.
    Use meta-phosh as of f3c92e90dcc0d65322888217429b75dd101bd0d3
    This allows us to drop our check-po variant and to use the
    common style check.
  * packaging: Bump phosh dependency.
    We need 0.37.0 for the Quick Setting gsettings schema
  * plugin-list-box: Add widget that manages phosh plugins.
    This is based on the implementation in the lock screen panel.
  * lockscreen-panel: Use plugin-list-box
  * topbar-panel: Allow to configure additional quick settings.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/46
  * Revert "ci: Use sid at the moment"
    This reverts commit b537e288b04793dfced613d06a46974b2d93be0c.
    Phosh 0.38.0 is now in testing.
  * ci: Use common before step
  * ci: Use newer image.
    This will fix gcovr failing to do anything. See
      https://gitlab.gnome.org/guidog/phosh-osk-stub/-/merge_requests/136

  [ Gotam Gorabh ]
  * topbar-panel: Create a new empty top bar panel.
    Top bar panel will contains settings related to shell or top-bar.

  [ Vladimir Vaskov ]
  * applications-panel: Mark UI strings as translatable
  * features-panel: Mark UI strings as translatable
  * po: Remove main. It has no translatable strings
  * po: Add a Russian translation

  [ Danial Behzadi ]
  * Add Persian translation

  [ Andika Triwidada ]
  * Add Indonesian translation

  [ Yuri Chornoivan ]
  * Add Ukrainian translation

  [ Ekaterine Papava ]
  * Add Georgian translation

  [ Daniel Rusek ]
  * Add Czech translation

  [ Artur S0 ]
  * Update Russian translation

  [ Sabri Ünal ]
  * Add Turkish translation

  [ Martin ]
  * Add Slovenian translation

  [ Daniel Șerbănescu ]
  * Add Romanian translation

  [ Anders Jonsson ]
  * Add Swedish translation

  [ Andi Chandler ]
  * Add British English translation

  [ Yaron Shahrabani ]
  * Add Hebrew translation

  [ Scrambled 777 ]
  * Add Hindi translation

 -- Guido Günther <agx@sigxcpu.org>  Mon, 06 May 2024 20:06:11 +0200

phosh-mobile-settings (0.38.0) experimental; urgency=medium

  [ Rudra Pratap Singh ]
  * packaging: Add tests dependencies.
    We need a compositor and apart from that the schemas that p-m-s deals
    with.
  * application: Use imperative form in -l option
  * application: Assert presence of Wayland protocols.
    Since we always run under Wayland, we should
    always have access to protocols.
  * application: Add local option to print debug info
  * tests: Add tests for local options
  * ci: Add a job for running tests

  [ Guido Günther ]
  * osk-panel: Don't print warning when we fail to get the osk PID.
    Otherwise this trips up the tests and it's not crucuial for the panel to
    function.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 02 Apr 2024 19:52:49 +0200

phosh-mobile-settings (0.37.0) experimental; urgency=medium

  [ Gotam Gorabh ]
  * sound-row: Fix transform function name typo
  * sound-row: Add playing property to update icon of playback button
  * feedback-panel: Display proper error message.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/40
  * feedback-panel: Sync playing state between each sound row
  * application-panel: Allow to set app filter mode settings.
    This changes will allow user to enable/disable app-filter-mode via p-m-s.
    closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/1
  * application-panel: Make title and subtitle translatable

  [ Rudra Pratap Singh ]
  * application: Add local option to output version
  * applications-panel: Reword Favorites row title
  * applications-panel: Make favorites flowbox homogeneous.
    This will ensure each added favorite within the
    flowbox occupies same size, irrespective of
    the number of favorites.
  * applications-panel: Allow to append a favorite via flowbox.
    With this, a favorite can be dropped on the
    flowbox which will be appended at the end.

  [ Guido Günther ]
  * lockscreen-panel: Only show lockscreen plugins.
    With more plugin types coming to phosh via
    https://gitlab.gnome.org/World/Phosh/phosh/-/merge_requests/1359
    we want to make sure we only list the plugins with a "lockscreen"
    type here.
    For a transition phase we assume that no type means "lockscreen".  This
    can be dropped in the future.
  * application-panel: String consistency.
    Use imperative form, unify spelling.
  * ci: Switch ci back to Debian Trixie.
    We have libadwaita 1.4 and Debian sid is going through a larger
    library transition atm.
  * packaging: Allow to fetch subprojects.
    This unbreaks the package build
  * gmobile: Update to 0.0.6. Go with the flow.
  * packaging: Depend on libjson-glib-dev.
    This prevents that it's pulled as a subproject by gmobile
  * packaging: Improve installation.
    Don't override the install target so e.g. missing files are correctly
    detected.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 29 Feb 2024 17:20:41 +0100

phosh-mobile-settings (0.36.0) experimental; urgency=medium

  [ Suraj Kumar Mahto ]
  * apps-panel: Add application panel skeleton

  [ pseudorandom-x ]
  * apps-panel: Add ability to reset favorited apps.
    Allows users to set the favorites back to
    vendor defaults.
  * apps-panel: Add ability to rearrange favorited apps.
    Allows users to drag-n-drop favorited apps to
    rearrange them.
    Closes: https://gitlab.gnome.org/guidog/phosh-mobile-settings/-/issues/3
  * build: Bump minimum GTK required to ver 4.12.5
  * application: Drop flags argument in mobile_settings_application_new ()
  * application: Add getter method for active window
  * application: Override handle_local_options vfunc.
    This will allow for handling some options locally
    (e.g., --version) efficiently by registering
    array of accepted options.
  * settings-window: Extend API to access stack pages.
    Adds a getter method to access the pages of
    GtkStack object
  * application: Add local option to list panels.
    Adds the `--list` local option to list the
    available panels.
  * settings-window: Bind MsPanelSwitcher template object
  * settings-window: Extend API to access MsPanelSwitcher object
  * panel-switcher: Extend API to activate panel by name
  * application: Add ability to launch a specific panel.
    Allows the application to be launched with
    the specified panel activated if found.

  [ Guido Günther ]
  * ci: Drop an unused remote.
    We don't use it and it just causes failures when the remote is
    unavailable.
  * window: Set log domain
  * applications-panel: Remove trailing whitespace
  * packaging: Require recent phoc.
    This is needed to make touch DnD work
  * applications: Disable favorite arrangement with too old GTK.
    The code to organize favorites needs DnD on touch. This was only fixed
    recently in phoc 0.34.0~beta1:
      384d755f ("cursor: Don't forget to update the drag icons position")
    and GTK 4.13.2:
      d78475372f ("gtk: Obey GTK grabs on DnD events")
    So disable that part of the panel when GTK is too old.
  * debug-info: Use a single line for the OS.
    This will make it simpler to use the pretty name.
  * debug-info: Move os info gathering to separate function.
    This will allow us to make it more complex.
  * debug-info: Try harder to get usable OS information.
    On Debian the testing/sid the OS version is NULL. Try pretty name too to
    make that useful.
  * packaging: Require newer phosh
  * osk: Allow to set the unfold delay
  * l5-panel: Init temperatures.
    This ensures they don't contain garbage in case sensors_get_value()
    doesn't set them.
  * application: Don't use self for GApplication
    self refers to an object of type PhoshMobileSettingsApplication not
    GApplication. Adjust the variable names in functions that did this
    differently. This makes it obvious where casts are needed.
    While at that fix an overly long line by introducing a variable.
    Fixes: 6f40214 ("application: Override handle_local_options vfunc") and
           related commits.
  * metainfo: Set developers

  [ Teemu Ikonen ]
  * feedback-panel: Use correct schema id for feedbackd.

  [ swaroopanand ]
  * application: Generate about page from meta info.
    Generate the about page using adw_about_window_new_from_appdata.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/43

  [ Rodney Lorrimar ]
  * build: Don't compile gesettings schemas.
    We don't ship any schemas and `glib-compile-schemas` fails if the
    target directory doesn't exist.

 -- Guido Günther <agx@sigxcpu.org>  Sat, 03 Feb 2024 13:25:23 +0100

phosh-mobile-settings (0.35.0) experimental; urgency=medium

  [ Guido Günther ]
  * osk-panel: Use a list model.
    This separates shortcut maintenance from the visual representation.
  * osk-panel: Allow to sort terminal shortcuts via d'n'd
  * treewide: Update repository location.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/5
  * README: Fix broken links.
    The were 404 before and hence search and replace missed them too.
  * Multiple leak fixes
  * Add doap file. Welcome Gotam as maintainer while at that.
  * build: Use GLIB_VERSION_{MIN_REQURED,MAX_ALLOWED}
    We had the version string but weren't using it.
  * build: Bump glib version.
    We were using 'G_APPLICATION_DEFAULT_FLAGS' already
  * build: Use GDK_VERSION_{MIN_REQURED,MAX_ALLOWED}
    We use the same pattern as with glib
  * sound-row: Drop G_GNUC_END_IGNORE_DEPRECATIONS.
    Not needed as we specify a GTK version
  * sound-row: Switch to GtkFileDialog.
    This makes us use the portal and hence we get an adaptive file dialog in
    most distros.
    We bump the required GTK version for 4.12 to that. We require 4.12
    implicitly anyway due to libadwaita 1.4.
  * build: Use ADW_VERSION_{MIN_REQURED,MAX_ALLOWED}
    Be consistent with how we handle glib and gtk.
  * ci: Remove duplicate style-check
  * po: Add ms-plugin-row.ui.
    Fixes: 7721528 ("Allow to enable and disable lockscreen plugins")
  * tools: Add check-po.
    Taken from phosh as of c61a960bc451907f7d28dbf6e5e773e4d2cdcce2
  * ci: Check if we have all translatable files listed
  * ci: Add ci-fairy rules.
    Use the ones from Phosh as of 7fb92f43992ab9e20e6d231ca537a9e7ce687ea0
  * Untabify ui files

  [ Alexandre Iooss ]
  * po: Delete reference to previously deleted schema file.
    Fixes: b256841 ("data: Remove unused schema")`
  * ui: remove extra colon
  * Add po/fr.po

  [ Gotam Gorabh ]
  * feedback-panel: Fix toast messages.
    User should know the current status of playing sound via toast messages.
    Helps: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/40
  * sound-row: Add tooltip-text to playback button

 -- Guido Günther <agx@sigxcpu.org>  Mon, 01 Jan 2024 10:14:26 +0100

phosh-mobile-settings (0.34.0) experimental; urgency=medium

  [ Guido Günther ]
  * ci: Switch to trixie
  * ci: Add uncrustify config and checker.
  * ci: Run style checks on merge requests.

  [ Gotam Gorabh ]
  * debug-info: Add some gsettings to the Troubleshooting tab.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 29 Nov 2023 10:13:50 +0100

phosh-mobile-settings (0.33.0) experimental; urgency=medium

  [ Guido Günther ]
  * data: Remove unused schema
  * gmobile: Switch to 0.0.3.
    Also move to the canonical upstream repo location
  * treewide: Move to mobi.phosh prefix
  * resources: Add the application icon.
    This makes sure it's found even when the app is not installed
    (e.g. when running from the source tree)
  * metainfo: Add replaces for old app-id
  * application: Don't forget to dup the data.
    We return a GStrv so we need to duplicate the data added to the GStrv as
    we'd otherwise free the data of the strings in the hash map.
    Fixes: 3cea964a43db75645f6970c3c7a0782679b16f62
  * build: Require newer glib.
    This allows us to e.g. use g_strv_builder and we need newer libadwaita
    anyway already.
  * application: Use g_strv_builder.
    More failsafe than using a g_ptr_array.
  * compositor-panel: Drop unneeded clamp.
    This avoids having the scroll bar in the middle of the window
  * features-panel: Drop unneeded clamp.
    This avoids having the scroll bar in the middle of the window
  * osk-panel: Drop unneeded clamp.
    This avoids having the scroll bar in the middle of the window
  * sensors-panel: Drop unneeded clamp.
    This avoids having the scroll bar in the middle of the window
  * convergence-panel: Drop unneeded clamp.
    This avoids having the scroll bar in the middle of the window

  [ Gotam Gorabh ]
  * debug-info: Troubleshooting tab enhancements.

  [ Abhijith PA ]
  * feedback-panel: Drop unneeded clamp.
    This avoids having the scroll bar in the middle of the window
  * lockscreen-panel: Drop unneeded clamp.
    This avoids having the scroll bar in the middle of the window

 -- Guido Günther <agx@sigxcpu.org>  Sat, 28 Oct 2023 18:02:33 +0200

phosh-mobile-settings (0.32.0) experimental; urgency=medium

  [ Gotam Gorabh ]
  * window: Switch to AdwNavigationSplitView.
    AdwLeaflet will be deprecated in libadwaita 1.4
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/33
  * build: Add libadwaita as subproject
  * lockscreen-panel: Make plugin order match listbox order.
  * lockscreen-panel: Allow to reorder the plugins.
    For that add a popover with "move up" and "move down" buttons to each
    plugin row.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/17

  [ Guido Günther ]
  * lockscreen-panel: Log prefs state too. Simplify debugging a bit
  * plugin-row: Don't insert actions twice.
    This unbreaks setting the plugin prefs
    Fixes: b5ed64cc841d64be26731e6f4e39e091df28163b
  * feedback-panel: Move flag getting and setting closer together
  * feedback-panel: Don't overwrite a disabled wakeup trigger.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/34
  * window: Set a title. This avoids a warning when switching tabs.
  * gitignore subprojects

 -- Guido Günther <agx@sigxcpu.org>  Mon, 02 Oct 2023 14:34:17 +0200

phosh-mobile-settings (0.31.0) experimental; urgency=medium

  [ Arun Mani J ]
  * Add run script to launch p-m-s from the source tree.

  [ Guido Günther ]
  * Add gmobile as subproject
  * debug-info: Add device tree information
  * mobile-settings-application: Add finalize
  * debug-info: Add versions of all wayland protocols
  * convergence-panel: Fix EDID information for NexDock 360.
    With wlroots 0.16 we get the correct vendor.
  * d/control: Bump phoc dependency.

  [ Suraj Kumar Mahto ]
  * feedback-panel: add option to select which type of notification urgency
    light up the screen

 -- Guido Günther <agx@sigxcpu.org>  Tue, 29 Aug 2023 12:31:11 +0200

phosh-mobile-settings (0.30.0) experimental; urgency=medium

  [ Gotam Gorabh ]
  * Add Troubleshooting Tab.
    These changes will add a troubleshooting tab in posh-mobile-settings.
    This troubleshooting tab will contain debug information required
    while reporting issues against this application.
    Fixes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/30

  [ Guido Günther ]
  * debug-info: Allow to build with glib < 2.76.0

 -- Guido Günther <agx@sigxcpu.org>  Mon, 31 Jul 2023 12:03:51 +0200

phosh-mobile-settings (0.29.0) experimental; urgency=medium

  [ Evangelos Ribeiro Tzaras ]
  * panel-switcher: Fix indentation
  * Add sensor panel.
    Shows sensor readings and allows setting automatic high contrast and
    the associated sensor threshold. Sensors get claimed only when the
    panel is mapped (and released if unmapped).
  * settings-window: Add sensor panel

  [ undef ]
  * d/control: depend on Phosh 0.29 with new gsettings schema.
  * features-panel: Add manual suspend switch to experimental settings.
    This enables configuring the Phosh suspend button in the system menu.

  [ Guido Günther ]
  * features-panel: Add to translatable files

 -- Guido Günther <agx@sigxcpu.org>  Sun, 02 Jul 2023 17:28:39 +0200

phosh-mobile-settings (0.28.0) experimental; urgency=medium

  [ Guido Günther ]
  * ms-sound-row: Add a hint which sound files are supported.  We currently
    look for *.ogg.
  * metainfo: Fix release date of 0.23.1
  * packaging: Add phosh dependency.
    We'll need phosh's gsetting schema for the features panel
  * Add panel for experimental features.
    This panel is meant for features that will be enabled by default in the
    future. For now we put the emergency call support there.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/25

  [ Sam Hewitt ]
  * Fix issue with invisible element in app icon

  [ Evangelos Ribeiro Tzaras ]
  * osk-panel: Bail early when there is no on screen keyboard.
    When p-m-s is run without on screen keyboard
    (e.g. not under a phosh session)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 31 May 2023 16:31:13 +0200

phosh-mobile-settings (0.27.0) experimental; urgency=medium

  * metainfo: Add recent release
  * feedback-panel: Avoid deprecated gtk_style_context_add_class
  * plugins: Avoid deprecated gtk_style_context_add_class
  * gitignore: Add generated files in po
  * d/control: Add libsound-dev
  * po: Add ms-osk-sound-panel.
    Fixes 8ad8781938585fa0b09c13cf2a0268276888ba9d
  * Allow to configure ring tone and sms sounds

 -- Guido Günther <agx@sigxcpu.org>  Sun, 30 Apr 2023 14:36:11 +0200

phosh-mobile-settings (0.26.0) experimental; urgency=medium

  * panels: Use AdwPreferences page.
    This makes sure we get the styling applied correctly.
    Closes: https://gitlab.gnome.org/World/Phosh/phosh-mobile-settings/-/issues/24
  * convergence-panel: Drop superfluous GtkListBox
  * plugins: Avoid adw_action_row_set_icon_name.
    Deprecated since Adwaita 1.3
  * Avoid GTK 4.10 deprecations.  For now just disable them until
    we can require a more recent GTK.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 28 Mar 2023 11:10:33 +0200

phosh-mobile-settings (0.25.0) experimental; urgency=medium

  [ Evangelos Ribeiro Tzaras ]
  * build: Bump glib dependency to 2.66.
    Fixes c31f81f3476ac9903916c105ac01aa1594067bc5
  * build: Bump meson dependency to 0.58.0
    str.replace() (used for glib_ver_str) is only available since 0.58.

  [ Guido Günther ]
  * window: Use a larger default size.
    This makes things less fiddly on larger screens
  * gitignore: Ignore generated pot file
  * build: Fix gettext name.
    This allows translations to be found
  * feedback-panel: Separate feedback settings from setting their labels.
    We want the labels to be translatable while the strings uses for
    settings should be untranslated.
  * po: Translate some DE strings.
    This allows to test i18n.
  * Add osk panel.
    This allows to toggle OSK usage on and off and (if phosh-osk-stub is
    used) to configure the word completion mode.

 -- Guido Günther <agx@sigxcpu.org>  Tue, 28 Feb 2023 11:10:32 +0100

phosh-mobile-settings (0.24.1) experimental; urgency=medium

  * plugins-row: Use full path to open prefs plugin
  * lockscreen-panel: Mention in error message that it's a prefs plugin.
    This makes it simpler to distinguish lockscreen plugin and prefs
    plugin info load failures
  * NEWS: fix typo

 -- Guido Günther <agx@sigxcpu.org>  Mon, 13 Feb 2023 11:07:15 +0100

phosh-mobile-settings (0.24.0) experimental; urgency=medium

  [ Andrey Skvortsov ]
  * lockscreen-panel: Make panel scrollable.
    It's necessary epsecially in landscape orientation

  [ Guido Günther ]
  * lockscreen-panels: Drop plugins that start with '/'
    This clears out plugins that were accidentally added with the full path.
    Fixes: 26b2f1c88f3dc9078d24df43167761dc1e01c632

 -- Guido Günther <agx@sigxcpu.org>  Mon, 30 Jan 2023 17:06:49 +0100

phosh-mobile-settings (0.23.1) experimental; urgency=medium

  * metainfo: Add releases
  * metainfo: Drop Purism::form_factor.
    The duplicate key (rightfully) tips up metainfo validation
    and we also have `display_length` set as well.
  * Revert "build: Make phosh-dev dependency optional for the moment"
    There's now a release shipping the pkg-config files so let's drop this
    to avoid inconsistencies between builds that use pkg-config and those
    that use hardcoded paths.
  * ms-plugin-row: Don't overwrite plugin name with file name.
    (Fixes: #22)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 04 Jan 2023 11:39:29 +0100

phosh-mobile-settings (0.23.0) experimental; urgency=medium

  * main: Use SPDX-License-Identifier
  * application: Fix parent class
  * build: Avoid deprecated get_pkgconfig_variable
  * build: Bump glib dependency to 2.66
  * README: Use meson consistently
  * build: Use meson's version_compare.
    This avoids a warning as meson now knows we're excluding
    code base on it's version
  * build: Depend on phosh-plugins
  * plugin-panel: Fix typo
  * lockscreen-panel: Fix typo
  * lockscreen-panel: Allow plugins to have preferences
  * build: Make phosh-dev dependency optional for the moment.
    This allows us to build until phosh-dev ends up in distros.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 23 Dec 2022 15:02:55 +0100

phosh-mobile-settings (0.22.0) experimental; urgency=medium

  * l5-panel: Don't forget to bind the suspend button.
    Otherwise we can't make it (un)sensitive
  * window: Don't forward to welcome page.
    This createes unneeded flicker and adds one additional tap
    every use to go back to the panel.
  * window: Move device panel addition to constructed.
    As pointed out by exalm doing this in realize is a bad idea.
    We had it there as we wanted to access GApplication but that wasn't set
    as prop yet but we can simply use g_application_get_default()
  * main: Use G_APPLICATION_DEFAULT_FLAGS to avoid deprecation warning.
    Provide a fallback for older glib until we can enforce 2.74.
  * build: Add and use app id
  * app: Use AdwAboutDialog.
    In contrast to GtkAboutDialog it's adaptive and fits phone screens.
    For that we need to bump the adwaita dependency to 1.2.
  * l5-panel: Don't forget to bind the suspend button.
    Otherwise we can't make it (un)sensitive
  * window: Don't forward to welcome page.
    This createes unneeded flicker and adds one additional tap
    every use to go back to the panel.
  * window: Move device panel addition to constructed.
    As pointed out by exalm doing this in realize is a bad idea.
    We had it there as we wanted to access GApplication but that wasn't set
    as prop yet but we can simply use g_application_get_default()

 -- Guido Günther <agx@sigxcpu.org>  Wed, 02 Nov 2022 11:18:16 +0100

phosh-mobile-settings (0.21.1) experimental; urgency=medium

  [ Guido Günther ]
  * ms-convergence-panel: Explain how to fetch the values for adding new docks
  * Revert "lockscreen-panel: Mark additional widgets as experimental"
    This currently makes the window overflow (although it should be word
    wrapped)

  [ Kyle Rankin ]
  * Add support for UPERFECT X Mini lapdock.
    This adds convergence panel support for the UPERFECT X Mini lapdock:
    https://www.uperfectmonitor.com/products/uperfect-x-mini-lapdock-11-6

 -- Guido Günther <agx@sigxcpu.org>  Sun, 25 Sep 2022 12:53:07 +0200

phosh-mobile-settings (0.21.0) experimental; urgency=medium

  [ Guido Günther ]
  * ci: Use newer Debian Bookworm image.
    This lets the builds pass again.
  * build: Plugin uses gio bits.
    Add a proper dependency
  * data: Update the appstream release information
  * Move plugins to phosh-mobile-settings/ folder
  * Allow to enable and disable lockscreen plugins (Closes: #12)
  * lockscreen-panel: Use plugin info.
    Don't just rely on the plugin path but rather parse the available
    information so we can have translated descriptions, etc.
  * lockscreen-panel: Don't try to read from inexistent dir
  * lockscreen-panel: Mark additional widgets as experimental

  [ Sebastian Krzyszkowiak ]
  * librem5-plugin: Adjust sensor mappings for temperatures.
    On the Librem 5, bq25890_charger driver reports the temperature
    as monitored by the thermistor inside the battery, while the
    max170xx_battery driver reports the internal temperature of
    the fuel gauge chip. Adjust sensor descriptions to match that.

 -- Guido Günther <agx@sigxcpu.org>  Wed, 31 Aug 2022 10:01:14 +0200

phosh-mobile-settings (0.20.0) experimental; urgency=medium

  * Release 0.20.0

 -- Guido Günther <agx@sigxcpu.org>  Mon, 08 Aug 2022 10:48:26 +0200

phosh-mobile-settings (0.20.0~beta1) experimental; urgency=medium

  [ Guido Günther ]
  * scale-to-fit-row: Use the correct cleanup function.
    This fixes a crash when closing the application.
  * settings-window: Print page title when folded
  * compositor-panel: Make it more obvious that scale-to-fit is a workaround.
  * compositor-panel: Use g_debug.
  * ui: Use application icon on welcome page
  * desktop-file: Only show in Phosh.
  * desktop-file: Add translator notes
  * po: Add translatable files
  * application: Make about dialog more useful
  * Ease configuration for touch mappings with known docks
  * librem5-plugin: Add suspend button

  [ Sam Hewitt ]
  * New app icon

 -- Guido Günther <agx@sigxcpu.org>  Mon, 04 Jul 2022 16:47:35 +0200

phosh-mobile-settings (0.0.1) experimental; urgency=medium

  * Initial release

 -- Guido Günther <agx@sigxcpu.org>  Wed, 15 Jun 2022 17:28:21 +0200
